Bug 83863 - [ugen] Communication problem between opensc/openct via USB with e-gate smart-card.
Summary: [ugen] Communication problem between opensc/openct via USB with e-gate smart-...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 7.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-21 15:10 UTC by Mohacsi Janos
Modified: 2017-12-31 22:37 UTC (History)
1 user (show)

See Also:


Attachments
egate_driver.c_snippet (2.47 KB, TEXT/PLAIN; charset=US-ASCII)
2005-08-04 15:39 UTC, Mohacsi Janos
no flags Details
sys-bsd.c (10.35 KB, TEXT/PLAIN; charset=US-ASCII)
2005-08-04 15:39 UTC, Mohacsi Janos
no flags Details
sys-bsd.c.diff (1.98 KB, patch)
2005-08-04 20:04 UTC, Hans Petter Selasky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohacsi Janos 2005-07-21 15:10:06 UTC
	I tried to used opensc 0.9.6 with openct 0.6.5 on FreeBSD 6.0 
(and later FreeBSD 7.0-CURRENT.). 
	To be able to understand this is the layering structure of different 
components:
	[opensc - provides pkcs11 interface]------\
                 |                                 \
        [openct - interface several smart-card]     \
                 |                    |              \
              (usb interface)    (serial interface)  (pcsc-lite interface)
                                                        |         
                                                      (usb)

	I have problem with the usb interface as described in the 
thread http://opensc.org/pipermail/opensc-user/2005-July/000258.html
The opensc experts and developers believe the problem is lying in the FreeBSD
kernel... Therefore I compiled a kernel with USB_DEBUG.
and set sysctl hw.usb.ugen.debug.

I think this problem is similar to http://www.freebsd.org/cgi/query-pr.cgi?pr=kern/71417

I am willing to debug it if somebedy can give me a helping hand.....

debug log output with some comments:


Startup of the kernel

mohacsi@scone> sudo dmesg -a |grep usb
uhci0: <Intel 82801DB (ICH4) USB controller USB-A> port 0xbf80-0xbf9f irq 11 at device 29.0 on pci0
usb0: <Intel 82801DB (ICH4) USB controller USB-A> on uhci0
usb0: USB revision 1.0
uhci1: <Intel 82801DB (ICH4) USB controller USB-B> port 0xbf40-0xbf5f irq 11 at device 29.1 on pci0
usb1: <Intel 82801DB (ICH4) USB controller USB-B> on uhci1
usb1: USB revision 1.0
uhci2: <Intel 82801DB (ICH4) USB controller USB-C> port 0xbf20-0xbf3f irq 11 at device 29.2 on pci0
usb2: <Intel 82801DB (ICH4) USB controller USB-C> on uhci2
usb2: USB revision 1.0
pci0: <serial bus, USB> at device 29.7 (no driver attached)
ums0: Logitech USB Mouse, rev 1.10/6.20, addr 2, iclass 3/1
Starting usbd.

Startup of openct - no smart-card attached.

ifd_driver_add_id: ifd_driver_add_id(usb:0973/0001, egate)
ifd_driver_add_id: ifd_driver_add_id(usb:0529/050c, etoken)
ifd_driver_add_id: ifd_driver_add_id(usb:0529/0514, etoken)
ifd_driver_add_id: ifd_driver_add_id(usb:073d/0005, eutron)
ifd_driver_add_id: ifd_driver_add_id(usb:04b9/1202, ikey2k)
ifd_driver_add_id: ifd_driver_add_id(usb:04b9/1300, ikey3k)
ifd_driver_add_id: ifd_driver_add_id(usb:08e6/3437, ccid)
ifd_driver_add_id: ifd_driver_add_id(usb:08e6/3438, ccid)
ifd_driver_add_id: ifd_driver_add_id(usb:08e6/4433, ccid)
ifd_driver_add_id: ifd_driver_add_id(usb:04e6/5115, ccid)
ifd_driver_add_id: ifd_driver_add_id(usb:04e6/E001, ccid)
ifd_driver_add_id: ifd_driver_add_id(usb:04e6/E003, ccid)
ifd_driver_add_id: ifd_driver_add_id(usb:076b/3021, ccid)
ifd_driver_add_id: ifd_driver_add_id(usb:076b/5121, ccid)
ifd_driver_add_id: ifd_driver_add_id(usb:0783/0003, ccid)
ifd_scan_usb: BSD: ifd_scan_usb

Attaching the smart-card.

mohacsi@scone> sudo dmesg -a | grep -i ugen
ugen0: SchlumbergerSema SchlumbergerSema Cryptoflex e-gate, rev 1.10/1.00, addr 2
ugen_set_config: ugen0 to configno 1, sc=0xc2389000
ugen_set_config: ifaceno 0
ugen_set_config: ifaceno 0

Starting the openct framework.

mohacsi@scone> sudo /usr/local/etc/rc.d/openct.sh start
Starting smart card terminal framework: OpenCTDebug: ifd_driver_add_id: ifd_driver_add_id(usb:0973/0001, egate)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:0529/050c, etoken)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:0529/0514, etoken)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:073d/0005, eutron)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:04b9/1202, ikey2k)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:04b9/1300, ikey3k)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:08e6/3437, ccid)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:08e6/3438, ccid)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:08e6/4433, ccid)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:04e6/5115, ccid)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:04e6/E001, ccid)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:04e6/E003, ccid)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:076b/3021, ccid)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:076b/5121, ccid)
Debug: ifd_driver_add_id: ifd_driver_add_id(usb:0783/0003, ccid)
Debug: ifd_scan_usb: BSD: ifd_scan_usb
Debug: ifd_scan_usb: BSD: ifd_scan_usb: ifd_driver_for(SchlumbergerSema[0x0973].SchlumbergerSema Cryptoflex e-gate[0x0001)
Debug: ifd_spawn_handler: driver=egate, device=/dev/ugen0, index=-1
.

e-gate smart card found!

mohacsi@scone> dmesg -a | grep -i ugen
ugenopen: flag=2051, mode=8192, unit=0 endpt=0


ATR command succesful form openct-tool.

mohacsi@scone> sudo openct-tool atr
Detected Schlumberger E-Gate
Card present, status changed
ATR: 3b 95 18 40 ff 62 01 02 01 04

the kernel messages from ugen:

ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f

opensc-tool -a already fails...

mohacsi@scone> sudo opensc-tool -a
3B 95 18 40 FF 62 01 02 01 04 ;..@.b....
card.c:203:sc_transceive: Unable to transmit: Generic reader error
card.c:238:sc_transmit_apdu: transceive() failed: Generic reader error
card-flex.c:1316:flex_logout: APDU transmit failed: Generic reader error

kernel messages from ugen:

ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f

p15dump also fails:

mohacsi@scone> sudo ./p15dump
Using libopensc version 0.9.6.
Card detected in reader 'Schlumberger E-Gate'
Connecting... connected.
ATR = 3B:95:18:40:FF:62:01:02:01:04
Looking for a PKCS#15 compatible Smart Card... pkcs15.c:480:sc_pkcs15_bind_internal: unable to enumerate apps: Generic reader error
pkcs15.c:647:sc_pkcs15_bind: returning with: Wrong card
failed: Wrong card

kernel messages:

ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f
ugenioctl: cmd=80045572
ugenioctl: cmd=c018556f

debug messages:


mohacsi@scone> cat /var/log/debug.log


Jul 21 12:34:39 scone ifdhandler[677]: ifd_open: trying to open egate@/dev/ugen0
Jul 21 12:34:39 scone ifdhandler[677]: eg_open: device=/dev/ugen0
Jul 21 12:34:39 scone ifdhandler[677]: ifd_sysdep_device_type: BSD: ifd_sysdep_device_type(/dev/ugen0)
Jul 21 12:34:39 scone ifdhandler[677]: ifd_sysdep_device_type: BSD: returning IFD_DEVICE_TYPE_USB
Jul 21 12:34:39 scone ifdhandler[677]: eg_activate: called.
Jul 21 12:34:39 scone ifdhandler[677]: eg_card_status: slot=0
Jul 21 12:34:39 scone ifdhandler[677]: ifdhandler_poll_presence: card status change: 0 -> 1
Jul 21 12:34:40 scone ifdhandler[677]: eg_card_status: slot=0
Jul 21 12:35:01 scone last message repeated 21 times
Jul 21 12:35:01 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Jul 21 12:35:01 scone ifdhandler[677]: ifdhandler_lock: granted shared lock 0 for slot 0 by uid=4294967294
Jul 21 12:35:01 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Jul 21 12:35:01 scone ifdhandler[677]: eg_card_reset: called.
Jul 21 12:35:01 scone ifdhandler[677]: ifd_usb_control: usb req type=x40 req=x90 val=x0000 ind=x0000 len=0
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x90)
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex 0x0 wLength 0x0
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ctrl.ucr_data == NULL 
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  a8
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Jul 21 12:35:01 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Jul 21 12:35:01 scone ifdhandler[677]: ifd_usb_control: recv  00
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x83)
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex 0x0 wLength 0x23
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  01 00 00 00 14 ac bf bf 00 01 07 28 81 23 05 01 64 ca 56 0d 66 84 07 28 00 01 07 28 b0 ab bf bf 05 00 00
Jul 21 12:35:01 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL RECV data  3b 95 18 40 ff 62 01 02 01 04
Jul 21 12:35:01 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 req=x83 val=x0000 ind=x0000 len=10
Jul 21 12:35:01 scone ifdhandler[677]: ifd_usb_control: recv  3b 95 18 40 ff 62 01 02 01 04
Jul 21 12:35:01 scone ifdhandler[677]: ifd_protocol_select: atr= 3b 95 18 40 ff 62 01 02 01 04
Jul 21 12:35:01 scone ifdhandler[677]: ifd_protocol_select: default T=0, supported protocols=0x1
Jul 21 12:35:01 scone ifdhandler[677]: eg_set_protocol: proto=0
Jul 21 12:35:01 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_UNLOCK, unit=0)
Jul 21 12:35:01 scone ifdhandler[677]: ifdhandler_unlock: released shared lock 0 for slot 0 by uid=4294967294
Jul 21 12:35:02 scone ifdhandler[677]: eg_card_status: slot=0
Jul 21 12:35:33 scone last message repeated 31 times
Jul 21 12:36:09 scone last message repeated 36 times
Jul 21 12:36:09 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Jul 21 12:36:09 scone ifdhandler[677]: eg_card_reset: called.
Jul 21 12:36:09 scone ifdhandler[677]: ifd_usb_control: usb req type=x40 req=x90 val=x0000 ind=x0000 len=0
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x90)
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex 0x0 wLength 0x0
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ctrl.ucr_data == NULL 
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  44
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Jul 21 12:36:09 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Jul 21 12:36:09 scone ifdhandler[677]: ifd_usb_control: recv  00
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x83)
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex 0x0 wLength 0x23
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  01 00 00 00 f4 ab bf bf 01 00 00 00 00 00 00 00 01 00 00 00 00 01 07 28 1f de 11 28 3c 38 09 28 60 d3 04
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL RECV data  3b 95 18 40 ff 62 01 02 01 04
Jul 21 12:36:09 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 req=x83 val=x0000 ind=x0000 len=10
Jul 21 12:36:09 scone ifdhandler[677]: ifd_usb_control: recv  3b 95 18 40 ff 62 01 02 01 04
Jul 21 12:36:09 scone ifdhandler[677]: ifd_protocol_select: atr= 3b 95 18 40 ff 62 01 02 01 04
Jul 21 12:36:09 scone ifdhandler[677]: ifd_protocol_select: default T=0, supported protocols=0x1
Jul 21 12:36:09 scone ifdhandler[677]: eg_set_protocol: proto=0
Jul 21 12:36:09 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Jul 21 12:36:09 scone ifdhandler[677]: ifdhandler_lock: granted excl lock 1 for slot 0 by uid=4294967294
Jul 21 12:36:09 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_TRANSACT, unit=0)
Jul 21 12:36:09 scone ifdhandler[677]: ifd_protocol_transceive: cmd:  f0 22 07 00
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  28
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Jul 21 12:36:09 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Jul 21 12:36:09 scone ifdhandler[677]: ifd_usb_control: recv  00
Jul 21 12:36:09 scone ifdhandler[677]: ifd_usb_control: usb req type=x40 req=x80 val=x0000 ind=x0000 len=5
Jul 21 12:36:09 scone ifdhandler[677]: ifd_usb_control: send  f0 22 07 00 00
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x80)
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x80 wValue 0x0 wIndex 0x0 wLength 0x5
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  f0 22 07 00 00
Jul 21 12:36:09 scone ifdhandler[677]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Jul 21 12:36:09 scone ifdhandler[677]: ifd_protocol_transceive: transceive error: Communication error
Jul 21 12:36:09 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_UNLOCK, unit=0)
Jul 21 12:36:09 scone ifdhandler[677]: ifdhandler_unlock: released excl lock 1 for slot 0 by uid=4294967294
Jul 21 12:36:10 scone ifdhandler[677]: eg_card_status: slot=0
Jul 21 12:36:41 scone last message repeated 31 times
Jul 21 12:37:34 scone last message repeated 53 times
Jul 21 12:37:34 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Jul 21 12:37:34 scone ifdhandler[677]: eg_card_reset: called.
Jul 21 12:37:34 scone ifdhandler[677]: ifd_usb_control: usb req type=x40 req=x90 val=x0000 ind=x0000 len=0
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x90)
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex 0x0 wLength 0x0
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ctrl.ucr_data == NULL 
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  c4
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Jul 21 12:37:34 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Jul 21 12:37:34 scone ifdhandler[677]: ifd_usb_control: recv  00
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x83)
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex 0x0 wLength 0x23
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  d1 a9 09 28 e9 a9 09 28 fd a9 09 28 0d aa 09 28 23 aa 09 28 35 aa 09 28 1f de 11 28 3c 38 09 28 60 d3 04
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL RECV data  3b 95 18 40 ff 62 01 02 01 04
Jul 21 12:37:34 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 req=x83 val=x0000 ind=x0000 len=10
Jul 21 12:37:34 scone ifdhandler[677]: ifd_usb_control: recv  3b 95 18 40 ff 62 01 02 01 04
Jul 21 12:37:34 scone ifdhandler[677]: ifd_protocol_select: atr= 3b 95 18 40 ff 62 01 02 01 04
Jul 21 12:37:34 scone ifdhandler[677]: ifd_protocol_select: default T=0, supported protocols=0x1
Jul 21 12:37:34 scone ifdhandler[677]: eg_set_protocol: proto=0
Jul 21 12:37:34 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Jul 21 12:37:34 scone ifdhandler[677]: ifdhandler_lock: granted excl lock 2 for slot 0 by uid=4294967294
Jul 21 12:37:34 scone ifdhandler[677]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_TRANSACT, unit=0)
Jul 21 12:37:34 scone ifdhandler[677]: ifd_protocol_transceive: cmd:  c0 a4 00 00 02 3f 00
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  28
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Jul 21 12:37:34 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Jul 21 12:37:34 scone ifdhandler[677]: ifd_usb_control: recv  00
Jul 21 12:37:34 scone ifdhandler[677]: ifd_usb_control: usb req type=x40 req=x80 val=x0000 ind=x0000 len=5
Jul 21 12:37:34 scone ifdhandler[677]: ifd_usb_control: send  c0 a4 00 00 02
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x80)
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x80 wValue 0x0 wIndex 0x0 wLength 0x5
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL SEND data  c0 a4 00 00 02
Jul 21 12:37:34 scone ifdhandler[677]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Jul 21 12:37:34 scone ifdhandler[677]: ifd_protocol_transceive: transceive error: Communication error
Jul 21 12:37:34 scone ifdhandler[677]: ifdhandler_unlock_all: released excl lock 2 for slot 0 by uid=4294967294
Jul 21 12:37:35 scone ifdhandler[677]: eg_card_status: slot=0
Jul 21 12:38:06 scone last message repeated 31 times

Fix: 

unknown yet...
How-To-Repeat: 
	Try executing command "opensc-tool -a"
Comment 1 Mohacsi Janos 2005-07-28 18:12:59 UTC
Here I send several debuging output.

relevant part of /var/log/debug:

Jul 28 19:01:54 scone ifdhandler[71277]: ifd_open: trying to open 
egate@/dev/ugen0
Jul 28 19:01:54 scone ifdhandler[71277]: eg_open: device=/dev/ugen0
Jul 28 19:01:54 scone ifdhandler[71277]: ifd_sysdep_device_type: BSD: 
ifd_sysdep_device_type(/dev/ugen0)
Jul 28 19:01:54 scone ifdhandler[71277]: ifd_sysdep_device_type: BSD: 
returning IFD_DEVICE_TYPE_USB
Jul 28 19:01:54 scone ifdhandler[71277]: eg_activate: called.
Jul 28 19:01:54 scone ifdhandler[71277]: eg_card_status: slot=0
Jul 28 19:01:54 scone ifdhandler[71277]: ifdhandler_poll_presence: card 
status change: 0 -> 1
Jul 28 19:01:55 scone ifdhandler[71277]: eg_card_status: slot=0
Jul 28 19:02:02 scone last message repeated 7 times
Jul 28 19:02:02 scone ifdhandler[71277]: ifdhandler_process: 
ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Jul 28 19:02:02 scone ifdhandler[71277]: eg_card_reset: called.
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_usb_control: usb req 
type=x40 req=x90 val=x0000 ind=x0000 len=0
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0x90)
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex
0x0 wLength 0x0
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
ctrl.ucr_data == NULL
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0xa0)
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex
0x0 wLength 0x1
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL SEND data  f0
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL RECV data  00
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_usb_control: usb req 
type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_usb_control: recv  00
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0x83)
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex
0x0 wLength 0x23
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL SEND data  05 00 00 00 05 00 00 00 00 01 07 28 00 0
0 00 01 64 ca 56 0d 66 84 07 28 00 01 07 28 10 ab bf bf 05 00 00
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL RECV data  3b 95 18 40 ff 62 01 02 01 04
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_usb_control: usb req 
type=xc0 req=x83 val=x0000 ind=x0000 len=10
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_usb_control: recv  3b 95 18 
40 ff 62 01 02 01 04
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_protocol_select: atr= 3b 95 
18 40 ff 62 01 02 01 04
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_protocol_select: default 
T=0, supported protocols=0x1
Jul 28 19:02:02 scone ifdhandler[71277]: eg_set_protocol: proto=0
Jul 28 19:02:02 scone ifdhandler[71277]: ifdhandler_process: 
ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Jul 28 19:02:02 scone ifdhandler[71277]: ifdhandler_lock: granted excl 
lock 0 for slot 0 by uid=4294967294
Jul 28 19:02:02 scone ifdhandler[71277]: ifdhandler_process: 
ifdhandler_process(cmd=CT_CMD_TRANSACT, unit=0)
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_protocol_transceive: cmd:  
c0 a4 00 00 02 3f 00
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0xa0)
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex
0x0 wLength 0x1
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL SEND data  28
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL RECV data  00
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_usb_control: usb req 
type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_usb_control: recv  00
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_usb_control: usb req 
type=x40 req=x80 val=x0000 ind=x0000 len=5
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_usb_control: send  c0 a4 00 
00 02
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0x80)
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL bmRequestType 0x40 bRequest 0x80 wValue 0x0 wIndex
0x0 wLength 0x5
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD: 
CTRL SEND data  c0 a4 00 00 02
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: 
USB_DO_REQUEST failed: -1
Jul 28 19:02:02 scone ifdhandler[71277]: ifd_protocol_transceive: 
transceive error: Communication error
Jul 28 19:02:02 scone ifdhandler[71277]: ifdhandler_unlock_all: released 
excl lock 0 for slot 0 by uid=4294967294
Jul 28 19:02:03 scone ifdhandler[71277]: eg_card_status: slot=0


The relevant part of /var/log/messages:
Jul 28 19:02:00 scone kernel: usb_event_thread: woke up
Jul 28 19:02:00 scone kernel: usb_discover
Jul 28 19:02:02 scone kernel: usbd_alloc_xfer() = 0xc43ca200
Jul 28 19:02:02 scone kernel: usbd_transfer: xfer=0xc43ca200, flags=6, 
pipe=0xc2ee7380, running=0
Jul 28 19:02:02 scone kernel: usbd_dump_queue: pipe=0xc2ee7380
Jul 28 19:02:02 scone kernel: usb_insert_transfer: pipe=0xc2ee7380 
running=0 timeout=10000
Jul 28 19:02:02 scone kernel: usb_schedsoftintr: polling=0
Jul 28 19:02:02 scone kernel: usb_transfer_complete: pipe=0xc2ee7380 
xfer=0xc43ca200 status=0 actlen=0
Jul 28 19:02:02 scone kernel: usb_transfer_complete: repeat=0 new head=0
Jul 28 19:02:02 scone kernel: usbd_start_next: pipe=0xc2ee7380, xfer=0
Jul 28 19:02:02 scone kernel: usbd_free_xfer: 0xc43ca200
Jul 28 19:02:02 scone kernel: usbd_alloc_xfer() = 0xc43ca200
Jul 28 19:02:02 scone kernel: usbd_transfer: xfer=0xc43ca200, flags=6, 
pipe=0xc2ee7380, running=0
Jul 28 19:02:02 scone kernel: usbd_dump_queue: pipe=0xc2ee7380
Jul 28 19:02:02 scone kernel: usb_allocmem: use frag=0xc1a81b80 size=1
Jul 28 19:02:02 scone kernel: usb_insert_transfer: pipe=0xc2ee7380 
running=0 timeout=10000
Jul 28 19:02:02 scone kernel: usb_schedsoftintr: polling=0
Jul 28 19:02:02 scone kernel: usb_transfer_complete: pipe=0xc2ee7380 
xfer=0xc43ca200 status=0 actlen=1
Jul 28 19:02:02 scone kernel: usb_freemem: frag=0xc1a81b80
Jul 28 19:02:02 scone kernel: usb_transfer_complete: repeat=0 new head=0
Jul 28 19:02:02 scone kernel: usbd_start_next: pipe=0xc2ee7380, xfer=0
Jul 28 19:02:02 scone kernel: usbd_free_xfer: 0xc43ca200
Jul 28 19:02:02 scone kernel: usbd_alloc_xfer() = 0xc43ca200
Jul 28 19:02:02 scone kernel: usbd_transfer: xfer=0xc43ca200, flags=6, 
pipe=0xc2ee7380, running=0
Jul 28 19:02:02 scone kernel: usbd_dump_queue: pipe=0xc2ee7380
Jul 28 19:02:02 scone kernel: usb_allocmem: use frag=0xc1a81b80 size=35
Jul 28 19:02:02 scone kernel: usb_insert_transfer: pipe=0xc2ee7380 
running=0 timeout=10000
Jul 28 19:02:02 scone kernel: usb_schedsoftintr: polling=0
Jul 28 19:02:02 scone kernel: usb_transfer_complete: pipe=0xc2ee7380 
xfer=0xc43ca200 status=0 actlen=10
Jul 28 19:02:02 scone kernel: usb_freemem: frag=0xc1a81b80
Jul 28 19:02:02 scone kernel: usb_transfer_complete: repeat=0 new head=0
Jul 28 19:02:02 scone kernel: usbd_start_next: pipe=0xc2ee7380, xfer=0
Jul 28 19:02:02 scone kernel: usbd_free_xfer: 0xc43ca200
Jul 28 19:02:02 scone kernel: usbd_alloc_xfer() = 0xc43ca200
Jul 28 19:02:02 scone kernel: usbd_transfer: xfer=0xc43ca200, flags=6, 
pipe=0xc2ee7380, running=0
Jul 28 19:02:02 scone kernel: usbd_dump_queue: pipe=0xc2ee7380
Jul 28 19:02:02 scone kernel: usb_allocmem: use frag=0xc1a81b80 size=1
Jul 28 19:02:02 scone kernel: usb_insert_transfer: pipe=0xc2ee7380 
running=0 timeout=10000
Jul 28 19:02:02 scone kernel: usb_schedsoftintr: polling=0
Jul 28 19:02:02 scone kernel: usb_transfer_complete: pipe=0xc2ee7380 
xfer=0xc43ca200 status=0 actlen=1
Jul 28 19:02:02 scone kernel: usb_freemem: frag=0xc1a81b80
Jul 28 19:02:02 scone kernel: usb_transfer_complete: repeat=0 new head=0
Jul 28 19:02:02 scone kernel: usbd_start_next: pipe=0xc2ee7380, xfer=0
Jul 28 19:02:02 scone kernel: usbd_free_xfer: 0xc43ca200
Jul 28 19:02:02 scone kernel: usbd_alloc_xfer() = 0xc43ca200
Jul 28 19:02:02 scone kernel: usbd_transfer: xfer=0xc43ca200, flags=6, 
pipe=0xc2ee7380, running=0
Jul 28 19:02:02 scone kernel: usbd_dump_queue: pipe=0xc2ee7380
Jul 28 19:02:02 scone kernel: usb_allocmem: use frag=0xc1a81b80 size=5
Jul 28 19:02:02 scone kernel: usb_insert_transfer: pipe=0xc2ee7380 
running=0 timeout=10000
Jul 28 19:02:02 scone kernel: usb_schedsoftintr: polling=0
Jul 28 19:02:02 scone kernel: usb_transfer_complete: pipe=0xc2ee7380 
xfer=0xc43ca200 status=17 actlen=5
Jul 28 19:02:02 scone kernel: usb_freemem: frag=0xc1a81b80
Jul 28 19:02:02 scone kernel: usb_transfer_complete: repeat=0 new head=0
Jul 28 19:02:02 scone kernel: usbd_start_next: pipe=0xc2ee7380, xfer=0
Jul 28 19:02:02 scone kernel: usbd_transfer: xfer=0xc43ca200, flags=2, 
pipe=0xc2ee7380, running=0
Jul 28 19:02:02 scone kernel: usbd_dump_queue: pipe=0xc2ee7380
Jul 28 19:02:02 scone kernel: usb_allocmem: use frag=0xc1a81b80 size=2
Jul 28 19:02:02 scone kernel: usb_insert_transfer: pipe=0xc2ee7380 
running=0 timeout=5000
Jul 28 19:02:02 scone kernel: usb_schedsoftintr: polling=0
Jul 28 19:02:02 scone kernel: usb_transfer_complete: pipe=0xc2ee7380 
xfer=0xc43ca200 status=0 actlen=2
Jul 28 19:02:02 scone kernel: usb_freemem: frag=0xc1a81b80
Jul 28 19:02:02 scone kernel: usb_transfer_complete: repeat=0 new head=0
Jul 28 19:02:02 scone kernel: usbd_start_next: pipe=0xc2ee7380, xfer=0
Jul 28 19:02:02 scone kernel: usbd_do_request: status = 0x0000
Jul 28 19:02:02 scone kernel: usbd_free_xfer: 0xc43ca200
Jul 28 19:02:02 scone ifdhandler[71277]: usb_do_request failed: 
Input/output error (5)

The output of dmesg:

ums0: at uhub0 port 1 (addr 2) disconnected
ums0: detached
Jul 28 18:59:27 scone moused: unable to open /dev/ums0: No such file or 
directory
ugen0: at uhub1 port 1 (addr 2) disconnected
All threads purged from ugen0
ugen0: detached
ugen0: SchlumbergerSema SchlumbergerSema Cryptoflex e-gate, rev 
1.10/1.00, addr 2
usb_event_thread: woke up
usb_discover
usbd_alloc_xfer() = 0xc43ca200
usbd_transfer: xfer=0xc43ca200, flags=6, pipe=0xc2ee7380, running=0
usbd_dump_queue: pipe=0xc2ee7380
usb_insert_transfer: pipe=0xc2ee7380 running=0 timeout=10000
usb_schedsoftintr: polling=0
usb_transfer_complete: pipe=0xc2ee7380 xfer=0xc43ca200 status=0 actlen=0
usb_transfer_complete: repeat=0 new head=0
usbd_start_next: pipe=0xc2ee7380, xfer=0
usbd_free_xfer: 0xc43ca200
usbd_alloc_xfer() = 0xc43ca200
usbd_transfer: xfer=0xc43ca200, flags=6, pipe=0xc2ee7380, running=0
usbd_dump_queue: pipe=0xc2ee7380
usb_allocmem: use frag=0xc1a81b80 size=1
usb_insert_transfer: pipe=0xc2ee7380 running=0 timeout=10000
usb_schedsoftintr: polling=0
usb_transfer_complete: pipe=0xc2ee7380 xfer=0xc43ca200 status=0 actlen=1
usb_freemem: frag=0xc1a81b80
usb_transfer_complete: repeat=0 new head=0
usbd_start_next: pipe=0xc2ee7380, xfer=0
usbd_free_xfer: 0xc43ca200
usbd_alloc_xfer() = 0xc43ca200
usbd_transfer: xfer=0xc43ca200, flags=6, pipe=0xc2ee7380, running=0
usbd_dump_queue: pipe=0xc2ee7380
usb_allocmem: use frag=0xc1a81b80 size=35
usb_insert_transfer: pipe=0xc2ee7380 running=0 timeout=10000
usb_schedsoftintr: polling=0
usb_transfer_complete: pipe=0xc2ee7380 xfer=0xc43ca200 status=0 actlen=10
usb_freemem: frag=0xc1a81b80
usb_transfer_complete: repeat=0 new head=0
usbd_start_next: pipe=0xc2ee7380, xfer=0
usbd_free_xfer: 0xc43ca200
usbd_alloc_xfer() = 0xc43ca200
usbd_transfer: xfer=0xc43ca200, flags=6, pipe=0xc2ee7380, running=0
usbd_dump_queue: pipe=0xc2ee7380
usb_allocmem: use frag=0xc1a81b80 size=1
usb_insert_transfer: pipe=0xc2ee7380 running=0 timeout=10000
usb_schedsoftintr: polling=0
usb_transfer_complete: pipe=0xc2ee7380 xfer=0xc43ca200 status=0 actlen=1
usb_freemem: frag=0xc1a81b80
usb_transfer_complete: repeat=0 new head=0
usbd_start_next: pipe=0xc2ee7380, xfer=0
usbd_free_xfer: 0xc43ca200
usbd_alloc_xfer() = 0xc43ca200
usbd_transfer: xfer=0xc43ca200, flags=6, pipe=0xc2ee7380, running=0
usbd_dump_queue: pipe=0xc2ee7380
usb_allocmem: use frag=0xc1a81b80 size=5
usb_insert_transfer: pipe=0xc2ee7380 running=0 timeout=10000
usb_schedsoftintr: polling=0
usb_transfer_complete: pipe=0xc2ee7380 xfer=0xc43ca200 status=17 actlen=5
usb_freemem: frag=0xc1a81b80
usb_transfer_complete: repeat=0 new head=0
usbd_start_next: pipe=0xc2ee7380, xfer=0
usbd_transfer: xfer=0xc43ca200, flags=2, pipe=0xc2ee7380, running=0
usbd_dump_queue: pipe=0xc2ee7380
usb_allocmem: use frag=0xc1a81b80 size=2
usb_insert_transfer: pipe=0xc2ee7380 running=0 timeout=5000
usb_schedsoftintr: polling=0
usb_transfer_complete: pipe=0xc2ee7380 xfer=0xc43ca200 status=0 actlen=2
usb_freemem: frag=0xc1a81b80
usb_transfer_complete: repeat=0 new head=0
usbd_start_next: pipe=0xc2ee7380, xfer=0
usbd_do_request: status = 0x0000
usbd_free_xfer: 0xc43ca200


Any further debugging output needed?
Comment 2 Hans Petter Selasky 2005-07-29 16:32:11 UTC
On Thursday 28 July 2005 19:12, Janos Mohacsi wrote:
> Here I send several debuging output.
>
> relevant part of /var/log/debug:
>

> Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD:
> CTRL bmRequestType 0x40 bRequest 0x80 wValue 0x0 wIndex
> 0x0 wLength 0x5
> Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control: BSD:
> CTRL SEND data  c0 a4 00 00 02
> Jul 28 19:02:02 scone ifdhandler[71277]: ifd_sysdep_usb_control:
> USB_DO_REQUEST failed: -1
> Jul 28 19:02:02 scone ifdhandler[71277]: ifd_protocol_transceive:
> transceive error: Communication error
> Jul 28 19:02:02 scone ifdhandler[71277]: ifdhandler_unlock_all: released
> excl lock 0 for slot 0 by uid=4294967294
> Jul 28 19:02:03 scone ifdhandler[71277]: eg_card_status: slot=0

...


> Jul 28 19:02:02 scone kernel: usb_schedsoftintr: polling=0
> Jul 28 19:02:02 scone kernel: usb_transfer_complete: pipe=0xc2ee7380
> xfer=0xc43ca200 status=17 actlen=5
> Jul 28 19:02:02 scone kernel: usb_freemem: frag=0xc1a81b80
> Jul 28 19:02:02 scone kernel: usb_transfer_complete: repeat=0 new head=0
> Jul 28 19:02:02 scone kernel: usbd_start_next: pipe=0xc2ee7380, xfer=0
> Jul 28 19:02:02 scone kernel: usbd_transfer: xfer=0xc43ca200, flags=2,
> pipe=0xc2ee7380, running=0
> Jul 28 19:02:02 scone kernel: usbd_dump_queue: pipe=0xc2ee7380
> Jul 28 19:02:02 scone kernel: usb_allocmem: use frag=0xc1a81b80 size=2
> Jul 28 19:02:02 scone kernel: usb_insert_transfer: pipe=0xc2ee7380
> running=0 timeout=5000

What USB controller are you using: EHCI/UHCI/OHCI ? Is the device connected 
through a HUB?

"status=17" means that the control transfer timed out. From what I can see 
there are two reasons for this:

1) Something went wrong with the USB controller's transfer schedule or you 
lost an interrupt. If you want, you can install my USB driver and see if 
there is any change. Post output from dmsg.

Download the three files below into a new directory and type 
"make install"  (to uninstall type "make deinstall")
http://home.c2i.net/hselasky/isdn4bsd/privat/usb/Makefile
http://home.c2i.net/hselasky/isdn4bsd/privat/usb/new_usb_1_5_4.diff.bz2
http://home.c2i.net/hselasky/isdn4bsd/privat/usb/new_usb_1_5_4.tar.bz2

2) Your device did not respond. Maybe "ifdhandler" can repeat the transfer if 
it fails ?

--HPS
Comment 3 Mohacsi Janos 2005-08-03 12:42:45 UTC
I am using UHCI. See:


mohacsi@scone> sudo usbdevs -v
Controller /dev/usb0:
addr 1: full speed, self powered, config 1, UHCI root hub(0x0000), 
Intel(0x0000), rev 1.00
 port 1 powered
 port 2 powered
Controller /dev/usb1:
addr 1: full speed, self powered, config 1, UHCI root hub(0x0000), 
Intel(0x0000), rev 1.00
 port 1 addr 2: low speed, power 30 mA, config 1, SchlumbergerSema 
Cryptoflex e-gate(0x0001), SchlumbergerSema(0x0973), rev 1.00
 port 2 powered
Controller /dev/usb2:
addr 1: full speed, self powered, config 1, UHCI root hub(0x0000), 
Intel(0x0000), rev 1.00
 port 1 powered
 port 2 powered

Should I try EHCI?

Is it normal to have patch failure to sys/i386/include/bus_at386.h ?

|--- sys/i386/include/bus_at386.h       Sat Nov 11 11:11:00 2000
--------------------------
Patching file sys/i386/include/bus_at386.h using Plan A...
Hunk #1 failed at 67.
Hunk #2 failed at 293.
Hunk #3 failed at 303.
Hunk #4 failed at 329.
Hunk #5 failed at 339.
Hunk #6 failed at 365.
Hunk #7 failed at 375.
Hunk #8 failed at 421.
Hunk #9 failed at 432.
Hunk #10 failed at 474.
Hunk #11 failed at 485.
Hunk #12 failed at 527.
Hunk #13 failed at 538.
Hunk #14 failed at 686.
Hunk #15 failed at 696.
Hunk #16 failed at 722.
Hunk #17 failed at 732.
Hunk #18 failed at 758.
Hunk #19 failed at 768.
Hunk #20 failed at 815.
Hunk #21 failed at 826.
Comment 4 Mohacsi Janos 2005-08-04 02:40:29 UTC
I tried new usb subsystem with similar results:
debug output of ifdhandler:
Aug  4 02:56:48 scone ifdhandler[677]: ifd_open: trying to open 
egate@/dev/ugen0
Aug  4 02:56:48 scone ifdhandler[677]: eg_open: device=/dev/ugen0
Aug  4 02:56:48 scone ifdhandler[677]: ifd_sysdep_device_type: BSD: 
ifd_sysdep_device_type(/dev/ugen0)
Aug  4 02:56:48 scone ifdhandler[677]: ifd_sysdep_device_type: BSD: 
returning IFD_DEVICE_TYPE_USB
Aug  4 02:56:48 scone ifdhandler[677]: eg_activate: called.
Aug  4 02:56:48 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:56:48 scone ifdhandler[677]: ifdhandler_poll_presence: card 
status change: 0 -> 1
Aug  4 02:56:49 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:56:58 scone last message repeated 9 times
Aug  4 02:56:59 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:57:08 scone last message repeated 9 times
Aug  4 02:57:09 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:57:18 scone last message repeated 9 times
Aug  4 02:57:19 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:57:28 scone last message repeated 9 times
Aug  4 02:57:29 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:57:38 scone last message repeated 9 times
Aug  4 02:57:39 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:57:49 scone last message repeated 10 times
Aug  4 02:57:50 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:57:59 scone last message repeated 9 times
Aug  4 02:58:00 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:58:08 scone last message repeated 8 times
Aug  4 02:58:09 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:58:14 scone last message repeated 5 times
Aug  4 02:58:14 scone ifdhandler[677]: ifdhandler_process: 
ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Aug  4 02:58:14 scone ifdhandler[677]: eg_card_reset: called.
Aug  4 02:58:14 scone ifdhandler[677]: ifd_usb_control: usb req type=x40 
req=x90 val=x0000 ind=x0000 len=0
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0x90)
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex 0x0 wLength 0x0
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: 
ctrl.ucr_data == NULL
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0xa0)
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
SEND data  80
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
RECV data  00
Aug  4 02:58:14 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 
req=xa0 val=x0000 ind=x0000 len=1
Aug  4 02:58:14 scone ifdhandler[677]: ifd_usb_control: recv  00
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0x83)
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex 0x0 wLength 0x23
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
SEND data  05 00 00 00 05 00 00 00 00 01 07 28 00 00 00 01 64 ca 56 0d 
66 84 07 28 00 01 07 28 a0 ab bf bf 05 00 00
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
RECV data  3b 95 18 40 ff 62 01 02 01 04
Aug  4 02:58:14 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 
req=x83 val=x0000 ind=x0000 len=10
Aug  4 02:58:14 scone ifdhandler[677]: ifd_usb_control: recv  3b 95 18 
40 ff 62 01 02 01 04
Aug  4 02:58:14 scone ifdhandler[677]: ifd_protocol_select: atr= 3b 95 
18 40 ff 62 01 02 01 04
Aug  4 02:58:14 scone ifdhandler[677]: ifd_protocol_select: default T=0, 
supported protocols=0x1
Aug  4 02:58:14 scone ifdhandler[677]: eg_set_protocol: proto=0
Aug  4 02:58:14 scone ifdhandler[677]: ifdhandler_process: 
ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Aug  4 02:58:14 scone ifdhandler[677]: ifdhandler_lock: granted excl 
lock 0 for slot 0 by uid=4294967294
Aug  4 02:58:14 scone ifdhandler[677]: ifdhandler_process: 
ifdhandler_process(cmd=CT_CMD_TRANSACT, unit=0)
Aug  4 02:58:14 scone ifdhandler[677]: ifd_protocol_transceive: cmd:  c0 
a4 00 00 02 3f 00
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0xa0)
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
SEND data  28
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
RECV data  00
Aug  4 02:58:14 scone ifdhandler[677]: ifd_usb_control: usb req type=xc0 
req=xa0 val=x0000 ind=x0000 len=1
Aug  4 02:58:14 scone ifdhandler[677]: ifd_usb_control: recv  00
Aug  4 02:58:14 scone ifdhandler[677]: ifd_usb_control: usb req type=x40 
req=x80 val=x0000 ind=x0000 len=5
Aug  4 02:58:14 scone ifdhandler[677]: ifd_usb_control: send  c0 a4 00 00 02
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: 
ifd_sysdep_usb_control(0x80)
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
bmRequestType 0x40 bRequest 0x80 wValue 0x0 wIndex 0x0 wLength 0x5
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: BSD: CTRL 
SEND data  c0 a4 00 00 02
Aug  4 02:58:14 scone ifdhandler[677]: ifd_sysdep_usb_control: 
USB_DO_REQUEST failed: -1
Aug  4 02:58:14 scone ifdhandler[677]: ifd_protocol_transceive: 
transceive error : Communication error
Aug  4 02:58:14 scone ifdhandler[677]: ifdhandler_unlock_all: released 
excl lock 0 for slot 0 by uid=4294967294
Aug  4 02:58:15 scone ifdhandler[677]: eg_card_status: slot=0
Aug  4 02:58:19 scone last message repeated 4 times

The kernel debug message in the same time (from /var/log/messages):
Aug  4 02:55:54 scone kernel: usb_event_thread: woke up
Aug  4 02:55:54 scone kernel: usb_discover:
Aug  4 02:56:08 scone kernel: usb_event_thread: woke up
Aug  4 02:56:08 scone kernel: usb_discover:
Aug  4 02:56:10 scone kernel: usb_event_thread: woke up
Aug  4 02:56:10 scone kernel: usb_discover:
Aug  4 02:56:48 scone kernel: ugenopen: flag=2051, mode=8192
Aug  4 02:56:54 scone kernel: usb_event_thread: woke up
Aug  4 02:56:54 scone kernel: usb_discover:
Aug  4 02:57:08 scone kernel: usb_event_thread: woke up
Aug  4 02:57:08 scone kernel: usb_discover:
Aug  4 02:57:09 scone kernel: usb_event_thread: woke up
Aug  4 02:57:09 scone kernel: usb_discover:
Aug  4 02:57:54 scone kernel: usb_event_thread: woke up
Aug  4 02:57:54 scone kernel: usb_discover:
Aug  4 02:58:08 scone kernel: usb_event_thread: woke up
Aug  4 02:58:08 scone kernel: usb_discover:
Aug  4 02:58:09 scone kernel: usb_event_thread: woke up
Aug  4 02:58:09 scone kernel: usb_discover:
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=80045572
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=c018556f
Aug  4 02:58:14 scone kernel: usbd_transfer_setup: using global lock
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_start_hardware: xfer=0xc1c45c00, 
pipe=0xc1b7e004 len=8 dir=out
Aug  4 02:58:14 scone kernel: usbd_dump_pipe: pipe=0xc1b7e004 
edesc=0xc1b7e020 isoc_next=0 toggle_next=1 bEndpointAddress=0x00
Aug  4 02:58:14 scone kernel: usbd_dump_queue: pipe=0xc1b7e004
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1c45c00 
pipe=0xc1b7e004 status=0 actlen=8
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1c45c00 
pipe=0xc1b7e004 status=5 actlen=8
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=80045572
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=c018556f
Aug  4 02:58:14 scone kernel: usbd_transfer_setup: using global lock
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_start_hardware: xfer=0xc1c61400, 
pipe=0xc1b7e004 len=9 dir=out
Aug  4 02:58:14 scone kernel: usbd_dump_pipe: pipe=0xc1b7e004 
edesc=0xc1b7e020 isoc_next=0 toggle_next=1 bEndpointAddress=0x00
Aug  4 02:58:14 scone kernel: usbd_dump_queue: pipe=0xc1b7e004
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1c61400 
pipe=0xc1b7e004 status=0 actlen=9
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1c61400 
pipe=0xc1b7e004 status=5 actlen=9
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=80045572
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=c018556f
Aug  4 02:58:14 scone kernel: usbd_transfer_setup: using global lock
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_start_hardware: xfer=0xc1b84000, 
pipe=0xc1b7e004 len=43 dir=out
Aug  4 02:58:14 scone kernel: usbd_dump_pipe: pipe=0xc1b7e004 
edesc=0xc1b7e020 isoc_next=0 toggle_next=1 bEndpointAddress=0x00
Aug  4 02:58:14 scone kernel: usbd_dump_queue: pipe=0xc1b7e004
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1b84000 
pipe=0xc1b7e004 status=0 actlen=18
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1b84000 
pipe=0xc1b7e004 status=5 actlen=18
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=80045572
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=c018556f
Aug  4 02:58:14 scone kernel: usbd_transfer_setup: using global lock
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_start_hardware: xfer=0xc1a39000, 
pipe=0xc1b7e004 len=9 dir=out
Aug  4 02:58:14 scone kernel: usbd_dump_pipe: pipe=0xc1b7e004 
edesc=0xc1b7e020 isoc_next=0 toggle_next=1 bEndpointAddress=0x00
Aug  4 02:58:14 scone kernel: usbd_dump_queue: pipe=0xc1b7e004
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1a39000 
pipe=0xc1b7e004 status=0 actlen=9
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1a39000 
pipe=0xc1b7e004 status=5 actlen=9
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=80045572
Aug  4 02:58:14 scone kernel: ugenioctl: cmd=c018556f
Aug  4 02:58:14 scone kernel: usbd_transfer_setup: using global lock
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_get_pipe: udev=0xc1b7e000 
iface_index=0 address=0x0 type=0x0 dir=0xff index=0
Aug  4 02:58:14 scone kernel: usbd_start_hardware: xfer=0xc1b7ec00, 
pipe=0xc1b7e004 len=13 dir=out
Aug  4 02:58:14 scone kernel: usbd_dump_pipe: pipe=0xc1b7e004 
edesc=0xc1b7e020 isoc_next=0 toggle_next=1 bEndpointAddress=0x00
Aug  4 02:58:14 scone kernel: usbd_dump_queue: pipe=0xc1b7e004
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1b7ec00 
pipe=0xc1b7e004 status=22 actlen=13
Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1b7ec00 
pipe=0xc1b7e004 status=5 actlen=13
Aug  4 02:58:14 scone ifdhandler[677]: usb_do_request failed: 
Input/output error (5)
Aug  4 02:58:54 scone kernel: usb_event_thread: woke up
Aug  4 02:58:54 scone kernel: usb_discover:
Aug  4 02:59:08 scone kernel: usb_event_thread: woke up
Aug  4 02:59:08 scone kernel: usb_discover:
Aug  4 02:59:10 scone kernel: usb_event_thread: woke up
Aug  4 02:59:10 scone kernel: usb_discover:

Next?
Comment 5 Hans Petter Selasky 2005-08-04 12:40:23 UTC
On Thursday 04 August 2005 03:40, Janos Mohacsi wrote:
> I tried new usb subsystem with similar results:
> Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1b7ec00
> pipe=0xc1b7e004 status=22 actlen=13

status=22 means that the transfer stalled. 

> Aug  4 02:58:14 scone ifdhandler[677]: usb_do_request failed:
> Input/output error (5)
>
> Next?

Control endpoints shouldn't stall.

Maybe you could turn on some more debugging: 

sysctl hw.usb.uhci.debug=15

This will show which of the transfers in the control transfer, that stalled.

Could you have posted the code from "ifdhandler" where "usb_do_request" is 
called from?

--HPS
Comment 6 Mohacsi Janos 2005-08-04 15:39:39 UTC
Hi Hans,
 	Here it is: - (Sorry, it is large... - should I omit 
bug-followup  next time?)

1. debug output of ifdhandler
Aug  4 15:47:23 scone ifdhandler[808]: ifd_open: trying to open egate@/dev/ugen0
Aug  4 15:47:23 scone ifdhandler[808]: eg_open: device=/dev/ugen0
Aug  4 15:47:23 scone ifdhandler[808]: ifd_sysdep_device_type: BSD: ifd_sysdep_device_type(/dev/ugen0)
Aug  4 15:47:23 scone ifdhandler[808]: ifd_sysdep_device_type: BSD: returning IFD_DEVICE_TYPE_USB
Aug  4 15:47:23 scone ifdhandler[808]: eg_activate: called.
Aug  4 15:47:23 scone ifdhandler[808]: eg_card_status: slot=0
Aug  4 15:47:23 scone ifdhandler[808]: ifdhandler_poll_presence: card status change: 0 -> 1
Aug  4 15:47:24 scone ifdhandler[808]: eg_card_status: slot=0
Aug  4 15:47:55 scone last message repeated 31 times
Aug  4 15:48:10 scone last message repeated 15 times
Aug  4 15:48:10 scone ifdhandler[808]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Aug  4 15:48:10 scone ifdhandler[808]: eg_card_reset: called.
Aug  4 15:48:10 scone ifdhandler[808]: ifd_usb_control: usb req type=x40 req=x90 val=x0000 ind=x0000 len=0
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x90)
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex 0x0 wLength 0x0
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: ctrl.ucr_data == NULL 
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL SEND data  80
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  4 15:48:10 scone ifdhandler[808]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  4 15:48:10 scone ifdhandler[808]: ifd_usb_control: recv  00
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x83)
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex 0x0 wLength 0x23
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL SEND data  05 00 00 00 05 00 00 00 00 01 07 28 00 00 00 01 64 ca 56 0d 66 84 07 28 00 01 07 28 a0 ab bf bf 05 00 00
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL RECV data  3b 95 18 40 ff 62 01 02 01 04
Aug  4 15:48:10 scone ifdhandler[808]: ifd_usb_control: usb req type=xc0 req=x83 val=x0000 ind=x0000 len=10
Aug  4 15:48:10 scone ifdhandler[808]: ifd_usb_control: recv  3b 95 18 40 ff 62 01 02 01 04
Aug  4 15:48:10 scone ifdhandler[808]: ifd_protocol_select: atr= 3b 95 18 40 ff 62 01 02 01 04
Aug  4 15:48:10 scone ifdhandler[808]: ifd_protocol_select: default T=0, supported protocols=0x1
Aug  4 15:48:10 scone ifdhandler[808]: eg_set_protocol: proto=0
Aug  4 15:48:10 scone ifdhandler[808]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Aug  4 15:48:10 scone ifdhandler[808]: ifdhandler_lock: granted excl lock 0 for slot 0 by uid=4294967294
Aug  4 15:48:10 scone ifdhandler[808]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_TRANSACT, unit=0)
Aug  4 15:48:10 scone ifdhandler[808]: ifd_protocol_transceive: cmd:  c0 a4 00 00 02 3f 00
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL SEND data  28
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  4 15:48:10 scone ifdhandler[808]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  4 15:48:10 scone ifdhandler[808]: ifd_usb_control: recv  00
Aug  4 15:48:10 scone ifdhandler[808]: ifd_usb_control: usb req type=x40 req=x80 val=x0000 ind=x0000 len=5
Aug  4 15:48:10 scone ifdhandler[808]: ifd_usb_control: send  c0 a4 00 00 02
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x80)
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x80 wValue 0x0 wIndex 0x0 wLength 0x5
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: BSD: CTRL SEND data  c0 a4 00 00 02
Aug  4 15:48:10 scone ifdhandler[808]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  4 15:48:10 scone ifdhandler[808]: ifd_protocol_transceive: transceive error: Communication error
Aug  4 15:48:10 scone ifdhandler[808]: ifdhandler_unlock_all: released excl lock 0 for slot 0 by uid=4294967294
Aug  4 15:48:11 scone ifdhandler[808]: eg_card_status: slot=0

2. The trimmed down uhci debug output
Aug  4 15:48:10 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x90, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb1e0) at 1f06f1e4 = link=0x1f06f204 status=0x1c8003ff token=0x00e07e2d buffer=0x1f06f1d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f204<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb200) at 1f06f204 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: _uhci_append_qh: 0xc1bdb260 to 0xdd6c5000
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: xfer=0xc1bdb000 pipe=0xc1ca3004 transfer done
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb1e0) at 1f06f1e4 = link=0x1f06f204 status=0x1c000007 token=0x00e07e2d buffer=0x1f06f1d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f204<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb200) at 1f06f204 = link=0x00000001 status=0x3d0007ff token=0xffe87e69 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: actlen=8
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1bdb000, pipe=0xc1ca3004 length=8 error=0
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1bdb260 from 0xc1bdb260
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1bdb000, pipe=0xc1ca3004 length=8 error=5
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1bdb260 from 0xdd6c5000
Aug  4 15:48:10 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1c809e0) at 003749e4 = link=0x00374a04 status=0x1c8003ff token=0x00e07e2d buffer=0x003749d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 374a04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1c80a00) at 00374a04 = link=0x00374a24 status=0x3c8003ff token=0x00087e69 buffer=0x003749dc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 374a24<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1c80a20) at 00374a24 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: _uhci_append_qh: 0xc1c80a60 to 0xdd6c5000
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: xfer=0xc1c80800 pipe=0xc1ca3004 transfer done
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1c809e0) at 003749e4 = link=0x00374a04 status=0x1c000007 token=0x00e07e2d buffer=0x003749d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 374a04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1c80a00) at 00374a04 = link=0x00374a24 status=0x3c000000 token=0x00087e69 buffer=0x003749dc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 374a24<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1c80a20) at 00374a24 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: actlen=9
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1c80800, pipe=0xc1ca3004 length=9 error=0
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1c80a60 from 0xc1c80a60
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1c80800, pipe=0xc1ca3004 length=9 error=5
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1c80a60 from 0xdd6c5000
Aug  4 15:48:10 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0x83, wValue=0x0000, wIndex=0x0000 len=35, addr=126, endpt=0
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=43 speed=1
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb200) at 1f06f204 = link=0x1f06f224 status=0x1c8003ff token=0x00e07e2d buffer=0x1f06f1d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f224<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb220) at 1f06f224 = link=0x1f06f244 status=0x3c8003ff token=0x00e87e69 buffer=0x1f06f1dc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f244<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb240) at 1f06f244 = link=0x1f06f264 status=0x3c8003ff token=0x00e07e69 buffer=0x1f06f1e4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f264<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb260) at 1f06f264 = link=0x1f06f284 status=0x3c8003ff token=0x00e87e69 buffer=0x1f06f1ec
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f284<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb280) at 1f06f284 = link=0x1f06f2a4 status=0x3c8003ff token=0x00e07e69 buffer=0x1f06f1f4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f2a4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb2a0) at 1f06f2a4 = link=0x1f06f2c4 status=0x3c8003ff token=0x00487e69 buffer=0x1f06f1fc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f2c4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb2c0) at 1f06f2c4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: _uhci_append_qh: 0xc1bdb300 to 0xdd6c5000
Aug  4 15:48:10 scone kernel: uhci_check_transfer: xfer=0xc1bdb000 active
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: xfer=0xc1bdb000 pipe=0xc1ca3004 transfer done
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb200) at 1f06f204 = link=0x1f06f224 status=0x1c000007 token=0x00e07e2d buffer=0x1f06f1d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f224<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb220) at 1f06f224 = link=0x1f06f244 status=0x3c000007 token=0x00e87e69 buffer=0x1f06f1dc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f244<VF> 3c000007<LS,SPD>,errcnt=3,actlen=8 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb240) at 1f06f244 = link=0x1f06f264 status=0x3c000001 token=0x00e07e69 buffer=0x1f06f1e4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f264<VF> 3c000001<LS,SPD>,errcnt=3,actlen=2 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb260) at 1f06f264 = link=0x1f06f284 status=0x3c8003ff token=0x00e87e69 buffer=0x1f06f1ec
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f284<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb280) at 1f06f284 = link=0x1f06f2a4 status=0x3c8003ff token=0x00e07e69 buffer=0x1f06f1f4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f2a4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb2a0) at 1f06f2a4 = link=0x1f06f2c4 status=0x3c8003ff token=0x00487e69 buffer=0x1f06f1fc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1f06f2c4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bdb2c0) at 1f06f2c4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: actlen=18
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1bdb000, pipe=0xc1ca3004 length=18 error=0
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1bdb300 from 0xc1bdb300
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1bdb000, pipe=0xc1ca3004 length=18 error=5
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1bdb300 from 0xdd6c5000
Aug  4 15:48:10 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  4 15:48:10 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  4 15:48:10 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  4 15:48:10 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bea9e0) at 0033e9e4 = link=0x0033ea04 status=0x1c8003ff token=0x00e07e2d buffer=0x0033e9d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 33ea04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1beaa00) at 0033ea04 = link=0x0033ea24 status=0x3c8003ff token=0x00087e69 buffer=0x0033e9dc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 33ea24<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1beaa20) at 0033ea24 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: _uhci_append_qh: 0xc1beaa60 to 0xdd6c5000
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: xfer=0xc1bea800 pipe=0xc1ca3004 transfer done
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bea9e0) at 0033e9e4 = link=0x0033ea04 status=0x1c000007 token=0x00e07e2d buffer=0x0033e9d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 33ea04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1beaa00) at 0033ea04 = link=0x0033ea24 status=0x3c000000 token=0x00087e69 buffer=0x0033e9dc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 33ea24<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1beaa20) at 0033ea24 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: actlen=9
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1bea800, pipe=0xc1ca3004 length=9 error=0
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1beaa60 from 0xc1beaa60
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1bea800, pipe=0xc1ca3004 length=9 error=5
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1beaa60 from 0xdd6c5000
Aug  4 15:48:10 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x80, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug  4 15:48:10 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bb31f0) at 002071f4 = link=0x00207214 status=0x1c8003ff token=0x00e07e2d buffer=0x002071d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 207214<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bb3210) at 00207214 = link=0x00207234 status=0x3c8003ff token=0x00887ee1 buffer=0x002071dc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 207234<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bb3230) at 00207234 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: _uhci_append_qh: 0xc1bb3270 to 0xdd6c5000
Aug  4 15:48:10 scone kernel: uhci_check_transfer: xfer=0xc1bb3000 active
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: xfer=0xc1bb3000 pipe=0xc1ca3004 transfer done
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bb31f0) at 002071f4 = link=0x00207214 status=0x1c000007 token=0x00e07e2d buffer=0x002071d4
Aug  4 15:48:10 scone kernel: uhci_dump_td: 207214<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bb3210) at 00207214 = link=0x00207234 status=0x3c400004 token=0x00887ee1 buffer=0x002071dc
Aug  4 15:48:10 scone kernel: uhci_dump_td: 207234<VF> 3c400004<STALLED,LS,SPD>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  4 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bb3230) at 00207234 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  4 15:48:10 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: actlen=13
Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1bb3000, pipe=0xc1ca3004 length=13 error=22
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1bb3270 from 0xc1bb3270
Aug  4 15:48:10 scone kernel: uhci_device_done: xfer=0xc1bb3000, pipe=0xc1ca3004 length=13 error=5
Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1bb3270 from 0xdd6c5000
Aug  4 15:48:10 scone ifdhandler[808]: usb_do_request failed: Input/output error (5)
Aug  4 15:48:11 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32


3. the usb handler routine  is attached sys-bsd.c. You will find the 
usb_do_request ioctl in the function ifd_sysdep_usb_control() - I am not 
sure usb device handled properly there - timeout? USBD_SHORT_XFER_OK 
option?

4. The relevant part of the egate driver also included. For some reason 
it does not like the EGATE_CMD_SEND_APDU (0x80):
ifd_usb_control() actually after some debug printing and setting timeout 
to 10000 if <0, invokes ifd_sysdep_usb_control()

I can include that one if you want

Janos Mohacsi
Network Engineer, Research Associate
NIIF/HUNGARNET, HUNGARY
Key 00F9AF98: 8645 1312 D249 471B DBAE  21A2 9F52 0D1F 00F9 AF98


On Thu, 4 Aug 2005, Hans Petter Selasky wrote:

> On Thursday 04 August 2005 03:40, Janos Mohacsi wrote:
>> I tried new usb subsystem with similar results:
>> Aug  4 02:58:14 scone kernel: usbd_transfer_done: xfer=0xc1b7ec00
>> pipe=0xc1b7e004 status=22 actlen=13
>
> status=22 means that the transfer stalled.
>
>> Aug  4 02:58:14 scone ifdhandler[677]: usb_do_request failed:
>> Input/output error (5)
>>
>> Next?
>
> Control endpoints shouldn't stall.
>
> Maybe you could turn on some more debugging:
>
> sysctl hw.usb.uhci.debug=15
>
> This will show which of the transfers in the control transfer, that stalled.
>
> Could you have posted the code from "ifdhandler" where "usb_do_request" is
> called from?
>
> --HPS
>
Comment 7 Hans Petter Selasky 2005-08-04 20:04:19 UTC
On Thursday 04 August 2005 16:39, Mohacsi Janos wrote:
> Hi Hans,
>   Here it is: - (Sorry, it is large... - should I omit
> bug-followup  next time?)

I think it is ok. It is not so much.

Stalled means that the data-toggle has the wrong value. The data toggle can 
have two values, either 1 or 0, and is marked "D=" in the debugging output. 
Control transfers always start with D=0, and end with D=1.

I cannot see anything wrong. The 8-bytes are the request header, and that is 
accepted. Then the 5-bytes are the data to write, and that is not accepted.

> uhci_check_transfer: xfer=0xc1bb3000 active Aug  4 15:48:10 scone kernel:
> uhci_non_isoc_done: xfer=0xc1bb3000 pipe=0xc1ca3004 transfer done Aug  4
> 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bb31f0) at 002071f4 =
> link=0x00207214 status=0x1c000007 token=0x00e07e2d buffer=0x002071d4 Aug  4
> 15:48:10 scone kernel: uhci_dump_td: 207214<VF>
> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8 Aug  4
> 15:48:10 scone kernel: uhci_dump_td: TD(0xc1bb3210) at 00207214 =
> link=0x00207234 status=0x3c400004 token=0x00887ee1 buffer=0x002071dc Aug  4
> 15:48:10 scone kernel: uhci_dump_td: 207234<VF>
> 3c400004<STALLED,LS,SPD>,errcnt=3,actlen=5
> pid=e1,addr=126,endpt=0,D=1,maxlen=5 Aug  4 15:48:10 scone kernel:
> uhci_dump_td: TD(0xc1bb3230) at 00207234 = link=0x00000001
> status=0x3d8003ff token=0xffe87e69 buffer=0x00000000 Aug  4 15:48:10 scone
> kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0
> pid=69,addr=126,endpt=0,D=1,maxlen=0 Aug  4 15:48:10 scone kernel:
> uhci_non_isoc_done: actlen=13
> Aug  4 15:48:10 scone kernel: uhci_non_isoc_done: error, addr=126,
> endpt=0x00, status 400000<STALLED> Aug  4 15:48:10 scone kernel:
> uhci_device_done: xfer=0xc1bb3000, pipe=0xc1ca3004 length=13 error=22 Aug 
> 4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1bb3270 from 0xc1bb3270 Aug  4
> 15:48:10 scone kernel: uhci_device_done: xfer=0xc1bb3000, pipe=0xc1ca3004
> length=13 error=5 Aug  4 15:48:10 scone kernel: _uhci_remove_qh: 0xc1bb3270
> from 0xdd6c5000 Aug  4 15:48:10 scone ifdhandler[808]: usb_do_request
> failed: Input/output error (5) Aug  4 15:48:11 scone kernel:
> uhci_root_intr_start: xfer=0xc1be6c00 len=32
>
>
> 3. the usb handler routine  is attached sys-bsd.c. You will find the
> usb_do_request ioctl in the function ifd_sysdep_usb_control() - I am not
> sure usb device handled properly there - timeout? USBD_SHORT_XFER_OK
> option?

I think USBD_SHORT_XFER_OK is valid for control transfers.
Setting the timeout is valid too.

>
> 4. The relevant part of the egate driver also included. For some reason
> it does not like the EGATE_CMD_SEND_APDU (0x80):
> ifd_usb_control() actually after some debug printing and setting timeout
> to 10000 if <0, invokes ifd_sysdep_usb_control()
>


The best I can come up with, is that we issue a clear stall request on the 
control endpoint, and then repeat the transfer. See if you can apply the 
attached patch:


cd directory_where_files_are
cat sys-bsd.c.diff | patch


Post debugging output again.

--HPS
Comment 8 Mohacsi Janos 2005-08-04 23:21:41 UTC
On Thu, 4 Aug 2005, Hans Petter Selasky wrote:

>
>
> Post debugging output again.

Here it is:
debug log of ifdhandler:

Aug  5 00:01:24 scone ifdhandler[930]: eg_card_status: slot=0
Aug  5 00:01:44 scone last message repeated 20 times
Aug  5 00:01:44 scone ifdhandler[930]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Aug  5 00:01:44 scone ifdhandler[930]: eg_card_reset: called.
Aug  5 00:01:44 scone ifdhandler[930]: ifd_usb_control: usb req type=x40 req=x90 val=x0000 ind=x0000 len=0
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x90)
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex 0x0 wLength 0x0
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: ctrl.ucr_data == NULL 
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  5 00:01:44 scone ifdhandler[930]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  5 00:01:44 scone ifdhandler[930]: ifd_usb_control: recv  00
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x83)
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex 0x0 wLength 0x23
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00 00 00 00 00 00 00 00 00 01 07 28 00 00 00 01 64 ca 56 0d f1 83 07 28 00 01 07 28 70 bf bf bf 06 00 00
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL RECV data  3b 95 18 40 ff 62 01 02 01 04
Aug  5 00:01:44 scone ifdhandler[930]: ifd_usb_control: usb req type=xc0 req=x83 val=x0000 ind=x0000 len=10
Aug  5 00:01:44 scone ifdhandler[930]: ifd_usb_control: recv  3b 95 18 40 ff 62 01 02 01 04
Aug  5 00:01:44 scone ifdhandler[930]: ifd_protocol_select: atr= 3b 95 18 40 ff 62 01 02 01 04
Aug  5 00:01:44 scone ifdhandler[930]: ifd_protocol_select: default T=0, supported protocols=0x1
Aug  5 00:01:44 scone ifdhandler[930]: eg_set_protocol: proto=0
Aug  5 00:01:44 scone ifdhandler[930]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Aug  5 00:01:44 scone ifdhandler[930]: ifdhandler_lock: granted excl lock 0 for slot 0 by uid=4294967294
Aug  5 00:01:44 scone ifdhandler[930]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_TRANSACT, unit=0)
Aug  5 00:01:44 scone ifdhandler[930]: ifd_protocol_transceive: cmd:  c0 a4 00 00 02 3f 00
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  5 00:01:44 scone ifdhandler[930]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  5 00:01:44 scone ifdhandler[930]: ifd_usb_control: recv  00
Aug  5 00:01:44 scone ifdhandler[930]: ifd_usb_control: usb req type=x40 req=x80 val=x0000 ind=x0000 len=5
Aug  5 00:01:44 scone ifdhandler[930]: ifd_usb_control: send  c0 a4 00 00 02
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x80)
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x80 wValue 0x0 wIndex 0x0 wLength 0x5
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: BSD: CTRL SEND data  c0 a4 00 00 02
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: trying to clear stall ...
Aug  5 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  5 00:01:44 scone ifdhandler[930]: ifd_protocol_transceive: transceive error: Communication error
Aug  5 00:01:44 scone ifdhandler[930]: ifdhandler_unlock_all: released excl lock 0 for slot 0 by uid=4294967294
Aug  5 00:01:45 scone ifdhandler[930]: eg_card_status: slot=0

kernel debug messages:
Aug  5 00:01:44 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  5 00:01:44 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x90, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bc21e0) at 003161e4 = link=0x00316204 status=0x1c8003ff token=0x00e07e2d buffer=0x003161d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 316204<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bc2200) at 00316204 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: _uhci_append_qh: 0xc1bc2260 to 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: xfer=0xc1bc2000 pipe=0xc1bea404 transfer done
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bc21e0) at 003161e4 = link=0x00316204 status=0x1c000007 token=0x00e07e2d buffer=0x003161d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 316204<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bc2200) at 00316204 = link=0x00000001 status=0x3d0007ff token=0xffe87e69 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: actlen=8
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bc2000, pipe=0xc1bea404 length=8 error=0
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bc2260 from 0xc1bc2260
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bc2000, pipe=0xc1bea404 length=8 error=5
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bc2260 from 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdfde0) at 1f073de4 = link=0x1f073e04 status=0x1c8003ff token=0x00e07e2d buffer=0x1f073dd4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f073e04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdfe00) at 1f073e04 = link=0x1f073e24 status=0x3c8003ff token=0x00087e69 buffer=0x1f073ddc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f073e24<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdfe20) at 1f073e24 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: _uhci_append_qh: 0xc1bdfe60 to 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: xfer=0xc1bdfc00 pipe=0xc1bea404 transfer done
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdfde0) at 1f073de4 = link=0x1f073e04 status=0x1c000007 token=0x00e07e2d buffer=0x1f073dd4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f073e04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdfe00) at 1f073e04 = link=0x1f073e24 status=0x3c000000 token=0x00087e69 buffer=0x1f073ddc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f073e24<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdfe20) at 1f073e24 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: actlen=9
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bdfc00, pipe=0xc1bea404 length=9 error=0
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bdfe60 from 0xc1bdfe60
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bdfc00, pipe=0xc1bea404 length=9 error=5
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bdfe60 from 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0x83, wValue=0x0000, wIndex=0x0000 len=35, addr=126, endpt=0
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=43 speed=1
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee00) at 1f072e04 = link=0x1f072e24 status=0x1c8003ff token=0x00e07e2d buffer=0x1f072dd4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072e24<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee20) at 1f072e24 = link=0x1f072e44 status=0x3c8003ff token=0x00e87e69 buffer=0x1f072ddc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072e44<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee40) at 1f072e44 = link=0x1f072e64 status=0x3c8003ff token=0x00e07e69 buffer=0x1f072de4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072e64<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee60) at 1f072e64 = link=0x1f072e84 status=0x3c8003ff token=0x00e87e69 buffer=0x1f072dec
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072e84<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee80) at 1f072e84 = link=0x1f072ea4 status=0x3c8003ff token=0x00e07e69 buffer=0x1f072df4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072ea4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdeea0) at 1f072ea4 = link=0x1f072ec4 status=0x3c8003ff token=0x00487e69 buffer=0x1f072dfc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072ec4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdeec0) at 1f072ec4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: _uhci_append_qh: 0xc1bdef00 to 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_check_transfer: xfer=0xc1bdec00 active
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: xfer=0xc1bdec00 pipe=0xc1bea404 transfer done
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee00) at 1f072e04 = link=0x1f072e24 status=0x1c000007 token=0x00e07e2d buffer=0x1f072dd4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072e24<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee20) at 1f072e24 = link=0x1f072e44 status=0x3c000007 token=0x00e87e69 buffer=0x1f072ddc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072e44<VF> 3c000007<LS,SPD>,errcnt=3,actlen=8 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee40) at 1f072e44 = link=0x1f072e64 status=0x3c000001 token=0x00e07e69 buffer=0x1f072de4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072e64<VF> 3c000001<LS,SPD>,errcnt=3,actlen=2 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee60) at 1f072e64 = link=0x1f072e84 status=0x3c8003ff token=0x00e87e69 buffer=0x1f072dec
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072e84<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdee80) at 1f072e84 = link=0x1f072ea4 status=0x3c8003ff token=0x00e07e69 buffer=0x1f072df4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072ea4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdeea0) at 1f072ea4 = link=0x1f072ec4 status=0x3c8003ff token=0x00487e69 buffer=0x1f072dfc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f072ec4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdeec0) at 1f072ec4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: actlen=18
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bdec00, pipe=0xc1bea404 length=18 error=0
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bdef00 from 0xc1bdef00
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bdec00, pipe=0xc1bea404 length=18 error=5
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bdef00 from 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdd1e0) at 1f0711e4 = link=0x1f071204 status=0x1c8003ff token=0x00e07e2d buffer=0x1f0711d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f071204<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdd200) at 1f071204 = link=0x1f071224 status=0x3c8003ff token=0x00087e69 buffer=0x1f0711dc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f071224<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdd220) at 1f071224 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: _uhci_append_qh: 0xc1bdd260 to 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: xfer=0xc1bdd000 pipe=0xc1bea404 transfer done
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdd1e0) at 1f0711e4 = link=0x1f071204 status=0x1c000007 token=0x00e07e2d buffer=0x1f0711d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f071204<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdd200) at 1f071204 = link=0x1f071224 status=0x3c000000 token=0x00087e69 buffer=0x1f0711dc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f071224<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bdd220) at 1f071224 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: actlen=9
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bdd000, pipe=0xc1bea404 length=9 error=0
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bdd260 from 0xc1bdd260
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bdd000, pipe=0xc1bea404 length=9 error=5
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bdd260 from 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x80, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bda1f0) at 1f02e1f4 = link=0x1f02e214 status=0x1c8003ff token=0x00e07e2d buffer=0x1f02e1d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f02e214<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bda210) at 1f02e214 = link=0x1f02e234 status=0x3c8003ff token=0x00887ee1 buffer=0x1f02e1dc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f02e234<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bda230) at 1f02e234 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: _uhci_append_qh: 0xc1bda270 to 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_check_transfer: xfer=0xc1bda000 active
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: xfer=0xc1bda000 pipe=0xc1bea404 transfer done
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bda1f0) at 1f02e1f4 = link=0x1f02e214 status=0x1c000007 token=0x00e07e2d buffer=0x1f02e1d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f02e214<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bda210) at 1f02e214 = link=0x1f02e234 status=0x3c400004 token=0x00887ee1 buffer=0x1f02e1dc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f02e234<VF> 3c400004<STALLED,LS,SPD>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bda230) at 1f02e234 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: actlen=13
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bda000, pipe=0xc1bea404 length=13 error=22
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bda270 from 0xc1bda270
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bda000, pipe=0xc1bea404 length=13 error=5
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bda270 from 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bd89e0) at 002ec9e4 = link=0x002eca04 status=0x1c8003ff token=0x00e07e2d buffer=0x002ec9d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 2eca04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bd8a00) at 002eca04 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: _uhci_append_qh: 0xc1bd8a60 to 0xdd6c5000
Aug  5 00:01:44 scone ifdhandler[930]: usb_do_request failed: Input/output error (5)
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: xfer=0xc1bd8800 pipe=0xc1bea404 transfer done
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bd89e0) at 002ec9e4 = link=0x002eca04 status=0x1c000007 token=0x00e07e2d buffer=0x002ec9d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 2eca04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1bd8a00) at 002eca04 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: actlen=8
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bd8800, pipe=0xc1bea404 length=8 error=0
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bd8a60 from 0xc1bd8a60
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1bd8800, pipe=0xc1bea404 length=8 error=5
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1bd8a60 from 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x80, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug  5 00:01:44 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1be05f0) at 1f0745f4 = link=0x1f074614 status=0x1c8003ff token=0x00e07e2d buffer=0x1f0745d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f074614<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1be0610) at 1f074614 = link=0x1f074634 status=0x3c8003ff token=0x00887ee1 buffer=0x1f0745dc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f074634<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1be0630) at 1f074634 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: _uhci_append_qh: 0xc1be0670 to 0xdd6c5000
Aug  5 00:01:44 scone kernel: uhci_check_transfer: xfer=0xc1be0400 active
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: xfer=0xc1be0400 pipe=0xc1bea404 transfer done
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1be05f0) at 1f0745f4 = link=0x1f074614 status=0x1c000007 token=0x00e07e2d buffer=0x1f0745d4
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f074614<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1be0610) at 1f074614 = link=0x1f074634 status=0x3c400004 token=0x00887ee1 buffer=0x1f0745dc
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1f074634<VF> 3c400004<STALLED,LS,SPD>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  5 00:01:44 scone kernel: uhci_dump_td: TD(0xc1be0630) at 1f074634 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  5 00:01:44 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: actlen=13
Aug  5 00:01:44 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1be0400, pipe=0xc1bea404 length=13 error=22
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1be0670 from 0xc1be0670
Aug  5 00:01:44 scone kernel: uhci_device_done: xfer=0xc1be0400, pipe=0xc1bea404 length=13 error=5
Aug  5 00:01:44 scone kernel: _uhci_remove_qh: 0xc1be0670 from 0xdd6c5000
Aug  5 00:01:44 scone ifdhandler[930]: usb_do_request failed: Input/output error (5)
Aug  5 00:01:44 scone kernel: uhci_root_intr_start: xfer=0xc1bdb000 len=32
Aug  5 00:01:44 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32

???

Janos Mohacsi
Network Engineer, Research Associate
NIIF/HUNGARNET, HUNGARY
Key 00F9AF98: 8645 1312 D249 471B DBAE  21A2 9F52 0D1F 00F9 AF98
Comment 9 Mohacsi Janos 2005-08-05 00:43:17 UTC
Does it help if I send debug output of p15dump utility under Windows? 
Unfortunately it has rather different output: it does not use
ifdhandler ...

Janos Mohacsi
Network Engineer, Research Associate
NIIF/HUNGARNET, HUNGARY
Key 00F9AF98: 8645 1312 D249 471B DBAE  21A2 9F52 0D1F 00F9 AF98
Comment 10 Hans Petter Selasky 2005-08-05 12:57:16 UTC
On Friday 05 August 2005 00:21, Mohacsi Janos wrote:
> On Thu, 4 Aug 2005, Hans Petter Selasky wrote:
> > Post debugging output again.
>
> Here it is:
> debug log of ifdhandler:
>

> ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1 Aug  5 00:01:44 scone
> ifdhandler[930]: ifd_sysdep_usb_control: trying to clear stall ... Aug  5
> 00:01:44 scone ifdhandler[930]: ifd_sysdep_usb_control: USB_DO_REQUEST
> failed: -1 Aug  5 00:01:44 scone ifdhandler[930]: ifd_protocol_transceive:
> transceive error: Communication error Aug  5 00:01:44 scone
> ifdhandler[930]: ifdhandler_unlock_all: released excl lock 0 for slot 0 by
> uid=4294967294 Aug  5 00:01:45 scone ifdhandler[930]: eg_card_status:
> slot=0
>

> 3c400004<STALLED,LS,SPD>,errcnt=3,actlen=5
> pid=e1,addr=126,endpt=0,D=1,maxlen=5 

In "ifd_sysdep_usb_control()" after "if(count) {}", maybe you could change the 
code so that it looks like this:

  if(!(ctrl.ucr_request.bRequest & UT_READ))
    return len; /* ignore STALL on write transfers */
  else
    return IFD_ERROR_COMM_ERROR;

And see what happens, hence the status indicates that the data has been 
transferred.

Maybe we could compare debugging output with windows.

Install the usb-snooper below, before running your application. Make sure that 
you get the control transfers.

http://benoit.papillault.free.fr/usbsnoop/

--HPS
Comment 11 Mohacsi Janos 2005-08-07 12:26:46 UTC
On Sun, 7 Aug 2005, Mohacsi Janos wrote:

Hi Hans,
 	My report was classified by the bug-reporting system as SPAM. 
Should I resubmit it via web interface as instructed?



Janos Mohacsi
Network Engineer, Research Associate
NIIF/HUNGARNET, HUNGARY
Key 00F9AF98: 8645 1312 D249 471B DBAE  21A2 9F52 0D1F 00F9 AF98
Comment 12 Mohacsi Janos 2005-08-09 11:16:10 UTC
> Sorry, I did a typo here, should be "bRequestType".
>
> You should not see that communication error, until a read transfer stalls.
>
> if(!(ctrl.ucr_request.bRequestType & UT_READ))
>    return len; /* ignore STALL on write transfers */
> else
>   return IFD_ERROR_COMM_ERROR;
>
>
I thought you meant bmRequestType.

The ifdhandler debug output after this changes:

Aug  9 10:42:42 scone ifdhandler[6922]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Aug  9 10:42:42 scone ifdhandler[6922]: eg_card_reset: called.
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: usb req type=x40 req=x90 val=x0000 ind=x0000 len=0
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x90)
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex 0x0 wLength 0x0
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: ctrl.ucr_data == NULL 
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: recv  00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x83)
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex 0x0 wLength 0x23
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00 00 00 00 00 00 00 00 00 01 07 28 00 00 00 01 64 ca 56 0d f1 83 07 28 00 01 07 28 e0 be bf bf 06 00 00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL RECV data  3b 95 18 40 ff 62 01 02 01 04
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: usb req type=xc0 req=x83 val=x0000 ind=x0000 len=10
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: recv  3b 95 18 40 ff 62 01 02 01 04
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_protocol_select: atr= 3b 95 18 40 ff 62 01 02 01 04
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_protocol_select: default T=0, supported protocols=0x1
Aug  9 10:42:42 scone ifdhandler[6922]: eg_set_protocol: proto=0
Aug  9 10:42:42 scone ifdhandler[6922]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Aug  9 10:42:42 scone ifdhandler[6922]: ifdhandler_lock: granted excl lock 0 for slot 0 by uid=4294967294
Aug  9 10:42:42 scone ifdhandler[6922]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_TRANSACT, unit=0)
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_protocol_transceive: cmd:  c0 a4 00 00 02 3f 00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: recv  00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: usb req type=x40 req=x80 val=x0000 ind=x0000 len=5
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: send  c0 a4 00 00 02
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x80)
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x80 wValue 0x0 wIndex 0x0 wLength 0x5
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL SEND data  c0 a4 00 00 02
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: trying to clear stall ...
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL SEND data  28
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_usb_control: recv  00
Aug  9 10:42:42 scone ifdhandler[6922]: ifd_protocol_transceive: transceive error: Device was disconnected
Aug  9 10:42:42 scone ifdhandler[6922]: ifdhandler_unlock_all: released excl lock 0 for slot 0 by uid=4294967294
Aug  9 10:42:43 scone ifdhandler[6922]: eg_card_status: slot=0

The kernel debug output:

Aug  9 10:42:42 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x90, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a761e0) at 1f2aa1e4 = link=0x1f2aa204 status=0x1c8003ff token=0x00e07e2d buffer=0x1f2aa1d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f2aa204<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a76200) at 1f2aa204 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: _uhci_append_qh: 0xc1a76260 to 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: xfer=0xc1a76000 pipe=0xc1bea004 transfer done
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a761e0) at 1f2aa1e4 = link=0x1f2aa204 status=0x1c000007 token=0x00e07e2d buffer=0x1f2aa1d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f2aa204<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a76200) at 1f2aa204 = link=0x00000001 status=0x3d0007ff token=0xffe87e69 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: actlen=8
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1a76000, pipe=0xc1bea004 length=8 error=0
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1a76260 from 0xc1a76260
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1a76000, pipe=0xc1bea004 length=8 error=5
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1a76260 from 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb31e0) at 002071e4 = link=0x00207204 status=0x1c8003ff token=0x00e07e2d buffer=0x002071d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 207204<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb3200) at 00207204 = link=0x00207224 status=0x3c8003ff token=0x00087e69 buffer=0x002071dc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 207224<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb3220) at 00207224 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: _uhci_append_qh: 0xc1bb3260 to 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: xfer=0xc1bb3000 pipe=0xc1bea004 transfer done
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb31e0) at 002071e4 = link=0x00207204 status=0x1c000007 token=0x00e07e2d buffer=0x002071d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 207204<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb3200) at 00207204 = link=0x00207224 status=0x3c000000 token=0x00087e69 buffer=0x002071dc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 207224<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb3220) at 00207224 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: actlen=9
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1bb3000, pipe=0xc1bea004 length=9 error=0
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1bb3260 from 0xc1bb3260
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1bb3000, pipe=0xc1bea004 length=9 error=5
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1bb3260 from 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0x83, wValue=0x0000, wIndex=0x0000 len=35, addr=126, endpt=0
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=43 speed=1
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa00) at 1f00ea04 = link=0x1f00ea24 status=0x1c8003ff token=0x00e07e2d buffer=0x1f00e9d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00ea24<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa20) at 1f00ea24 = link=0x1f00ea44 status=0x3c8003ff token=0x00e87e69 buffer=0x1f00e9dc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00ea44<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa40) at 1f00ea44 = link=0x1f00ea64 status=0x3c8003ff token=0x00e07e69 buffer=0x1f00e9e4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00ea64<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa60) at 1f00ea64 = link=0x1f00ea84 status=0x3c8003ff token=0x00e87e69 buffer=0x1f00e9ec
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00ea84<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa80) at 1f00ea84 = link=0x1f00eaa4 status=0x3c8003ff token=0x00e07e69 buffer=0x1f00e9f4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00eaa4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaaa0) at 1f00eaa4 = link=0x1f00eac4 status=0x3c8003ff token=0x00487e69 buffer=0x1f00e9fc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00eac4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaac0) at 1f00eac4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: _uhci_append_qh: 0xc1bbab00 to 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_check_transfer: xfer=0xc1bba800 active
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: xfer=0xc1bba800 pipe=0xc1bea004 transfer done
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa00) at 1f00ea04 = link=0x1f00ea24 status=0x1c000007 token=0x00e07e2d buffer=0x1f00e9d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00ea24<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa20) at 1f00ea24 = link=0x1f00ea44 status=0x3c000007 token=0x00e87e69 buffer=0x1f00e9dc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00ea44<VF> 3c000007<LS,SPD>,errcnt=3,actlen=8 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa40) at 1f00ea44 = link=0x1f00ea64 status=0x3c000001 token=0x00e07e69 buffer=0x1f00e9e4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00ea64<VF> 3c000001<LS,SPD>,errcnt=3,actlen=2 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa60) at 1f00ea64 = link=0x1f00ea84 status=0x3c8003ff token=0x00e87e69 buffer=0x1f00e9ec
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00ea84<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaa80) at 1f00ea84 = link=0x1f00eaa4 status=0x3c8003ff token=0x00e07e69 buffer=0x1f00e9f4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00eaa4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaaa0) at 1f00eaa4 = link=0x1f00eac4 status=0x3c8003ff token=0x00487e69 buffer=0x1f00e9fc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f00eac4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bbaac0) at 1f00eac4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: actlen=18
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1bba800, pipe=0xc1bea004 length=18 error=0
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1bbab00 from 0xc1bbab00
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1bba800, pipe=0xc1bea004 length=18 error=5
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1bbab00 from 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1ca5de0) at 1f059de4 = link=0x1f059e04 status=0x1c8003ff token=0x00e07e2d buffer=0x1f059dd4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f059e04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1ca5e00) at 1f059e04 = link=0x1f059e24 status=0x3c8003ff token=0x00087e69 buffer=0x1f059ddc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f059e24<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1ca5e20) at 1f059e24 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: _uhci_append_qh: 0xc1ca5e60 to 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: xfer=0xc1ca5c00 pipe=0xc1bea004 transfer done
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1ca5de0) at 1f059de4 = link=0x1f059e04 status=0x1c000007 token=0x00e07e2d buffer=0x1f059dd4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f059e04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1ca5e00) at 1f059e04 = link=0x1f059e24 status=0x3c000000 token=0x00087e69 buffer=0x1f059ddc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f059e24<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1ca5e20) at 1f059e24 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: actlen=9
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1ca5c00, pipe=0xc1bea004 length=9 error=0
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1ca5e60 from 0xc1ca5e60
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1ca5c00, pipe=0xc1bea004 length=9 error=5
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1ca5e60 from 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x80, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a759f0) at 1f2a99f4 = link=0x1f2a9a14 status=0x1c8003ff token=0x00e07e2d buffer=0x1f2a99d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f2a9a14<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a75a10) at 1f2a9a14 = link=0x1f2a9a34 status=0x3c8003ff token=0x00887ee1 buffer=0x1f2a99dc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f2a9a34<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a75a30) at 1f2a9a34 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: _uhci_append_qh: 0xc1a75a70 to 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_check_transfer: xfer=0xc1a75800 active
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: xfer=0xc1a75800 pipe=0xc1bea004 transfer done
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a759f0) at 1f2a99f4 = link=0x1f2a9a14 status=0x1c000007 token=0x00e07e2d buffer=0x1f2a99d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f2a9a14<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a75a10) at 1f2a9a14 = link=0x1f2a9a34 status=0x3c400004 token=0x00887ee1 buffer=0x1f2a99dc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f2a9a34<VF> 3c400004<STALLED,LS,SPD>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1a75a30) at 1f2a9a34 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: actlen=13
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1a75800, pipe=0xc1bea004 length=13 error=22
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1a75a70 from 0xc1a75a70
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1a75800, pipe=0xc1bea004 length=13 error=5
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1a75a70 from 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb39e0) at 002079e4 = link=0x00207a04 status=0x1c8003ff token=0x00e07e2d buffer=0x002079d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 207a04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb3a00) at 00207a04 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: _uhci_append_qh: 0xc1bb3a60 to 0xdd6c5000
Aug  9 10:42:42 scone ifdhandler[6922]: usb_do_request failed: Input/output error (5)
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: xfer=0xc1bb3800 pipe=0xc1bea004 transfer done
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb39e0) at 002079e4 = link=0x00207a04 status=0x1c000007 token=0x00e07e2d buffer=0x002079d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 207a04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bb3a00) at 00207a04 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: actlen=8
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1bb3800, pipe=0xc1bea004 length=8 error=0
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1bb3a60 from 0xc1bb3a60
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1bb3800, pipe=0xc1bea004 length=8 error=5
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1bb3a60 from 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x80, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1be05f0) at 1f0745f4 = link=0x1f074614 status=0x1c8003ff token=0x00e07e2d buffer=0x1f0745d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f074614<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1be0610) at 1f074614 = link=0x1f074634 status=0x3c8003ff token=0x00887ee1 buffer=0x1f0745dc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f074634<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1be0630) at 1f074634 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: _uhci_append_qh: 0xc1be0670 to 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_check_transfer: xfer=0xc1be0400 active
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: xfer=0xc1be0400 pipe=0xc1bea004 transfer done
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1be05f0) at 1f0745f4 = link=0x1f074614 status=0x1c000007 token=0x00e07e2d buffer=0x1f0745d4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f074614<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1be0610) at 1f074614 = link=0x1f074634 status=0x3c400004 token=0x00887ee1 buffer=0x1f0745dc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1f074634<VF> 3c400004<STALLED,LS,SPD>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1be0630) at 1f074634 = link=0x00000001 status=0x3d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: actlen=13
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1be0400, pipe=0xc1bea004 length=13 error=22
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1be0670 from 0xc1be0670
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1be0400, pipe=0xc1bea004 length=13 error=5
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1be0670 from 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug  9 10:42:42 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bc2de0) at 00316de4 = link=0x00316e04 status=0x1c8003ff token=0x00e07e2d buffer=0x00316dd4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 316e04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bc2e00) at 00316e04 = link=0x00316e24 status=0x3c8003ff token=0x00087e69 buffer=0x00316ddc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 316e24<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bc2e20) at 00316e24 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: _uhci_append_qh: 0xc1bc2e60 to 0xdd6c5000
Aug  9 10:42:42 scone ifdhandler[6922]: usb_do_request failed: Input/output error (5)
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: xfer=0xc1bc2c00 pipe=0xc1bea004 transfer done
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bc2de0) at 00316de4 = link=0x00316e04 status=0x1c000007 token=0x00e07e2d buffer=0x00316dd4
Aug  9 10:42:42 scone kernel: uhci_dump_td: 316e04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bc2e00) at 00316e04 = link=0x00316e24 status=0x3c000000 token=0x00087e69 buffer=0x00316ddc
Aug  9 10:42:42 scone kernel: uhci_dump_td: 316e24<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 10:42:42 scone kernel: uhci_dump_td: TD(0xc1bc2e20) at 00316e24 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug  9 10:42:42 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 10:42:42 scone kernel: uhci_non_isoc_done: actlen=9
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1bc2c00, pipe=0xc1bea004 length=9 error=0
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1bc2e60 from 0xc1bc2e60
Aug  9 10:42:42 scone kernel: uhci_device_done: xfer=0xc1bc2c00, pipe=0xc1bea004 length=9 error=5
Aug  9 10:42:42 scone kernel: _uhci_remove_qh: 0xc1bc2e60 from 0xdd6c5000
Aug  9 10:42:42 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32

After USBD_SHORT_XFER_OK and increase of repetition of transfer and some 
usleep the ihdhandler debug output:

Aug  9 11:54:42 scone ifdhandler[21193]: eg_card_status: slot=0
Aug  9 11:54:53 scone ifdhandler[21193]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Aug  9 11:54:53 scone ifdhandler[21193]: eg_card_reset: called.
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_usb_control: usb req type=x40 req=x90 val=x0000 ind=x0000 len=0
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x90)
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex 0x0 wLength 0x0
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: ctrl.ucr_data == NULL 
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_usb_control: recv  00
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x83)
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex 0x0 wLength 0x23
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00 00 00 00 00 00 00 00 00 01 07 28 00 00 00 01 64 ca 56 0d f1 83 07 28 00 01 07 28 e0 be bf bf 06 00 00
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL RECV data  3b 95 18 40 ff 62 01 02 01 04
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_usb_control: usb req type=xc0 req=x83 val=x0000 ind=x0000 len=10
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_usb_control: recv  3b 95 18 40 ff 62 01 02 01 04
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_protocol_select: atr= 3b 95 18 40 ff 62 01 02 01 04
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_protocol_select: default T=0, supported protocols=0x1
Aug  9 11:54:53 scone ifdhandler[21193]: eg_set_protocol: proto=0
Aug  9 11:54:53 scone ifdhandler[21193]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Aug  9 11:54:53 scone ifdhandler[21193]: ifdhandler_lock: granted excl lock 0 for slot 0 by uid=4294967294
Aug  9 11:54:53 scone ifdhandler[21193]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_TRANSACT, unit=0)
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_protocol_transceive: cmd:  c0 a4 00 00 02 3f 00
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_usb_control: recv  00
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_usb_control: usb req type=x40 req=x80 val=x0000 ind=x0000 len=5
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_usb_control: send  c0 a4 00 00 02
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x80)
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x80 wValue 0x0 wIndex 0x0 wLength 0x5
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL SEND data  c0 a4 00 00 02
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  9 11:54:53 scone ifdhandler[21193]: ifd_sysdep_usb_control: trying to clear stall ...
Aug  9 11:54:54 scone ifdhandler[21193]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  9 11:54:54 scone ifdhandler[21193]: ifd_sysdep_usb_control: trying to clear stall ...
Aug  9 11:54:55 scone ifdhandler[21193]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  9 11:54:55 scone ifdhandler[21193]: ifd_sysdep_usb_control: trying to clear stall ...
Aug  9 11:54:56 scone ifdhandler[21193]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  9 11:54:56 scone ifdhandler[21193]: ifd_sysdep_usb_control: trying to clear stall ...
Aug  9 11:54:57 scone ifdhandler[21193]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug  9 11:54:57 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug  9 11:54:57 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug  9 11:54:57 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL SEND data  28
Aug  9 11:54:57 scone ifdhandler[21193]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug  9 11:54:57 scone ifdhandler[21193]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug  9 11:54:57 scone ifdhandler[21193]: ifd_usb_control: recv  00
Aug  9 11:54:57 scone ifdhandler[21193]: ifd_protocol_transceive: transceive error: Device was disconnected
Aug  9 11:54:57 scone ifdhandler[21193]: eg_card_status: slot=0
Aug  9 11:54:57 scone ifdhandler[21193]: ifdhandler_unlock_all: released excl lock 0 for slot 0 by uid=4294967294
Aug  9 11:54:58 scone ifdhandler[21193]: eg_card_status: slot=0
Aug  9 11:55:15 scone last message repeated 17 times

And the kernel debug output

Aug  9 11:54:46 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:46 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:46 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=0; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:46 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:46 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:46 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: xfer=0xc1d79000 pipe=0xc1beb960 transfer done
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d000003 token=0x0068fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d000003<IOC,LS,SPD>,errcnt=3,actlen=4 pid=69,addr=126,endpt=1,D=1,maxlen=4
Aug  9 11:54:46 scone kernel: uhci_non_isoc_done: actlen=4
Aug  9 11:54:46 scone kernel: uhci_device_done: xfer=0xc1d79000, pipe=0xc1beb960 length=4 error=0
Aug  9 11:54:46 scone kernel: _uhci_remove_qh: 0xc1d79260 from 0xc1d79260
Aug  9 11:54:46 scone kernel: uhci_device_intr_start: xfer=0xc1d79000 len=4
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: addr=126 endpt=1 len=4 speed=1
Aug  9 11:54:46 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:46 scone kernel: uhci_dump_td: TD(0xc1d791e0) at 1878d1e4 = link=0x00000001 status=0x3d8003ff token=0x0060fe69 buffer=0x1878d1d4
Aug  9 11:54:46 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=1,D=0,maxlen=4
Aug  9 11:54:46 scone kernel: _uhci_append_qh: 0xc1d79260 to 0xdd6be100
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:47 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:48 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:49 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:50 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:51 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:52 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:53 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x90, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bc2de0) at 00316de4 = link=0x00316e04 status=0x1c8003ff token=0x00e07e2d buffer=0x00316dd4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 316e04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bc2e00) at 00316e04 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: _uhci_append_qh: 0xc1bc2e60 to 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: xfer=0xc1bc2c00 pipe=0xc1bea004 transfer done
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bc2de0) at 00316de4 = link=0x00316e04 status=0x1c000007 token=0x00e07e2d buffer=0x00316dd4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 316e04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bc2e00) at 00316e04 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: actlen=8
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bc2c00, pipe=0xc1bea004 length=8 error=0
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bc2e60 from 0xc1bc2e60
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bc2c00, pipe=0xc1bea004 length=8 error=5
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bc2e60 from 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bba5e0) at 1f00e5e4 = link=0x1f00e604 status=0x1c8003ff token=0x00e07e2d buffer=0x1f00e5d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f00e604<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bba600) at 1f00e604 = link=0x1f00e624 status=0x3c8003ff token=0x00087e69 buffer=0x1f00e5dc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f00e624<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bba620) at 1f00e624 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: _uhci_append_qh: 0xc1bba660 to 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: xfer=0xc1bba400 pipe=0xc1bea004 transfer done
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bba5e0) at 1f00e5e4 = link=0x1f00e604 status=0x1c000007 token=0x00e07e2d buffer=0x1f00e5d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f00e604<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bba600) at 1f00e604 = link=0x1f00e624 status=0x3c000000 token=0x00087e69 buffer=0x1f00e5dc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f00e624<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bba620) at 1f00e624 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: actlen=9
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bba400, pipe=0xc1bea004 length=9 error=0
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bba660 from 0xc1bba660
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bba400, pipe=0xc1bea004 length=9 error=5
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bba660 from 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0x83, wValue=0x0000, wIndex=0x0000 len=35, addr=126, endpt=0
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=43 speed=1
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a00) at 00207a04 = link=0x00207a24 status=0x1c8003ff token=0x00e07e2d buffer=0x002079d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207a24<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a20) at 00207a24 = link=0x00207a44 status=0x3c8003ff token=0x00e87e69 buffer=0x002079dc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207a44<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a40) at 00207a44 = link=0x00207a64 status=0x3c8003ff token=0x00e07e69 buffer=0x002079e4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207a64<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a60) at 00207a64 = link=0x00207a84 status=0x3c8003ff token=0x00e87e69 buffer=0x002079ec
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207a84<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a80) at 00207a84 = link=0x00207aa4 status=0x3c8003ff token=0x00e07e69 buffer=0x002079f4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207aa4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3aa0) at 00207aa4 = link=0x00207ac4 status=0x3c8003ff token=0x00487e69 buffer=0x002079fc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207ac4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3ac0) at 00207ac4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: _uhci_append_qh: 0xc1bb3b00 to 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_check_transfer: xfer=0xc1bb3800 active
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: xfer=0xc1bb3800 pipe=0xc1bea004 transfer done
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a00) at 00207a04 = link=0x00207a24 status=0x1c000007 token=0x00e07e2d buffer=0x002079d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207a24<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a20) at 00207a24 = link=0x00207a44 status=0x3c000007 token=0x00e87e69 buffer=0x002079dc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207a44<VF> 3c000007<LS,SPD>,errcnt=3,actlen=8 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a40) at 00207a44 = link=0x00207a64 status=0x3c000001 token=0x00e07e69 buffer=0x002079e4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207a64<VF> 3c000001<LS,SPD>,errcnt=3,actlen=2 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a60) at 00207a64 = link=0x00207a84 status=0x3c8003ff token=0x00e87e69 buffer=0x002079ec
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207a84<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3a80) at 00207a84 = link=0x00207aa4 status=0x3c8003ff token=0x00e07e69 buffer=0x002079f4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207aa4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3aa0) at 00207aa4 = link=0x00207ac4 status=0x3c8003ff token=0x00487e69 buffer=0x002079fc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 207ac4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb3ac0) at 00207ac4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: actlen=18
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bb3800, pipe=0xc1bea004 length=18 error=0
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bb3b00 from 0xc1bb3b00
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bb3800, pipe=0xc1bea004 length=18 error=5
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bb3b00 from 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bba9e0) at 1f00e9e4 = link=0x1f00ea04 status=0x1c8003ff token=0x00e07e2d buffer=0x1f00e9d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f00ea04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bbaa00) at 1f00ea04 = link=0x1f00ea24 status=0x3c8003ff token=0x00087e69 buffer=0x1f00e9dc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f00ea24<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bbaa20) at 1f00ea24 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: _uhci_append_qh: 0xc1bbaa60 to 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: xfer=0xc1bba800 pipe=0xc1bea004 transfer done
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bba9e0) at 1f00e9e4 = link=0x1f00ea04 status=0x1c000007 token=0x00e07e2d buffer=0x1f00e9d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f00ea04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bbaa00) at 1f00ea04 = link=0x1f00ea24 status=0x3c000000 token=0x00087e69 buffer=0x1f00e9dc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f00ea24<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bbaa20) at 1f00ea24 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: actlen=9
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bba800, pipe=0xc1bea004 length=9 error=0
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bbaa60 from 0xc1bbaa60
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bba800, pipe=0xc1bea004 length=9 error=5
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bbaa60 from 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x80, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1a729f0) at 1f3269f4 = link=0x1f326a14 status=0x1c8003ff token=0x00e07e2d buffer=0x1f3269d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f326a14<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1a72a10) at 1f326a14 = link=0x1f326a34 status=0x1c8003ff token=0x00887ee1 buffer=0x1f3269dc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f326a34<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1a72a30) at 1f326a34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: _uhci_append_qh: 0xc1a72a70 to 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_check_transfer: xfer=0xc1a72800 active
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: xfer=0xc1a72800 pipe=0xc1bea004 transfer done
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1a729f0) at 1f3269f4 = link=0x1f326a14 status=0x1c000007 token=0x00e07e2d buffer=0x1f3269d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f326a14<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1a72a10) at 1f326a14 = link=0x1f326a34 status=0x1c400004 token=0x00887ee1 buffer=0x1f3269dc
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1f326a34<VF> 1c400004<STALLED,LS>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1a72a30) at 1f326a34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: actlen=13
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1a72800, pipe=0xc1bea004 length=13 error=22
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1a72a70 from 0xc1a72a70
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1a72800, pipe=0xc1bea004 length=13 error=5
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1a72a70 from 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  9 11:54:53 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb29e0) at 002a69e4 = link=0x002a6a04 status=0x1c8003ff token=0x00e07e2d buffer=0x002a69d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 2a6a04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb2a00) at 002a6a04 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: _uhci_append_qh: 0xc1bb2a60 to 0xdd6c5000
Aug  9 11:54:53 scone ifdhandler[21193]: usb_do_request failed: Input/output error (5)
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: xfer=0xc1bb2800 pipe=0xc1bea004 transfer done
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb29e0) at 002a69e4 = link=0x002a6a04 status=0x1c000007 token=0x00e07e2d buffer=0x002a69d4
Aug  9 11:54:53 scone kernel: uhci_dump_td: 2a6a04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:53 scone kernel: uhci_dump_td: TD(0xc1bb2a00) at 002a6a04 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:53 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:53 scone kernel: uhci_non_isoc_done: actlen=8
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bb2800, pipe=0xc1bea004 length=8 error=0
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bb2a60 from 0xc1bb2a60
Aug  9 11:54:53 scone kernel: uhci_device_done: xfer=0xc1bb2800, pipe=0xc1bea004 length=8 error=5
Aug  9 11:54:53 scone kernel: _uhci_remove_qh: 0xc1bb2a60 from 0xdd6c5000
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:53 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:54 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x80, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug  9 11:54:54 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug  9 11:54:54 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1bb2df0) at 002a6df4 = link=0x002a6e14 status=0x1c8003ff token=0x00e07e2d buffer=0x002a6dd4
Aug  9 11:54:54 scone kernel: uhci_dump_td: 2a6e14<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1bb2e10) at 002a6e14 = link=0x002a6e34 status=0x1c8003ff token=0x00887ee1 buffer=0x002a6ddc
Aug  9 11:54:54 scone kernel: uhci_dump_td: 2a6e34<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1bb2e30) at 002a6e34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:54 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:54 scone kernel: _uhci_append_qh: 0xc1bb2e70 to 0xdd6c5000
Aug  9 11:54:54 scone kernel: uhci_check_transfer: xfer=0xc1bb2c00 active
Aug  9 11:54:54 scone kernel: uhci_non_isoc_done: xfer=0xc1bb2c00 pipe=0xc1bea004 transfer done
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1bb2df0) at 002a6df4 = link=0x002a6e14 status=0x1c000007 token=0x00e07e2d buffer=0x002a6dd4
Aug  9 11:54:54 scone kernel: uhci_dump_td: 2a6e14<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1bb2e10) at 002a6e14 = link=0x002a6e34 status=0x1c400004 token=0x00887ee1 buffer=0x002a6ddc
Aug  9 11:54:54 scone kernel: uhci_dump_td: 2a6e34<VF> 1c400004<STALLED,LS>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1bb2e30) at 002a6e34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:54 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:54 scone kernel: uhci_non_isoc_done: actlen=13
Aug  9 11:54:54 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug  9 11:54:54 scone kernel: uhci_device_done: xfer=0xc1bb2c00, pipe=0xc1bea004 length=13 error=22
Aug  9 11:54:54 scone kernel: _uhci_remove_qh: 0xc1bb2e70 from 0xc1bb2e70
Aug  9 11:54:54 scone kernel: uhci_device_done: xfer=0xc1bb2c00, pipe=0xc1bea004 length=13 error=5
Aug  9 11:54:54 scone kernel: _uhci_remove_qh: 0xc1bb2e70 from 0xdd6c5000
Aug  9 11:54:54 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  9 11:54:54 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  9 11:54:54 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1a761e0) at 1f2aa1e4 = link=0x1f2aa204 status=0x1c8003ff token=0x00e07e2d buffer=0x1f2aa1d4
Aug  9 11:54:54 scone kernel: uhci_dump_td: 1f2aa204<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1a76200) at 1f2aa204 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:54 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:54 scone kernel: _uhci_append_qh: 0xc1a76260 to 0xdd6c5000
Aug  9 11:54:54 scone ifdhandler[21193]: usb_do_request failed: Input/output error (5)
Aug  9 11:54:54 scone kernel: uhci_non_isoc_done: xfer=0xc1a76000 pipe=0xc1bea004 transfer done
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1a761e0) at 1f2aa1e4 = link=0x1f2aa204 status=0x1c000007 token=0x00e07e2d buffer=0x1f2aa1d4
Aug  9 11:54:54 scone kernel: uhci_dump_td: 1f2aa204<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:54 scone kernel: uhci_dump_td: TD(0xc1a76200) at 1f2aa204 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:54 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:54 scone kernel: uhci_non_isoc_done: actlen=8
Aug  9 11:54:54 scone kernel: uhci_device_done: xfer=0xc1a76000, pipe=0xc1bea004 length=8 error=0
Aug  9 11:54:54 scone kernel: _uhci_remove_qh: 0xc1a76260 from 0xc1a76260
Aug  9 11:54:54 scone kernel: uhci_device_done: xfer=0xc1a76000, pipe=0xc1bea004 length=8 error=5
Aug  9 11:54:54 scone kernel: _uhci_remove_qh: 0xc1a76260 from 0xdd6c5000
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:54 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:55 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x80, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug  9 11:54:55 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug  9 11:54:55 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1a689f0) at 001bc9f4 = link=0x001bca14 status=0x1c8003ff token=0x00e07e2d buffer=0x001bc9d4
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1bca14<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1a68a10) at 001bca14 = link=0x001bca34 status=0x1c8003ff token=0x00887ee1 buffer=0x001bc9dc
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1bca34<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1a68a30) at 001bca34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:55 scone kernel: _uhci_append_qh: 0xc1a68a70 to 0xdd6c5000
Aug  9 11:54:55 scone kernel: uhci_check_transfer: xfer=0xc1a68800 active
Aug  9 11:54:55 scone kernel: uhci_non_isoc_done: xfer=0xc1a68800 pipe=0xc1bea004 transfer done
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1a689f0) at 001bc9f4 = link=0x001bca14 status=0x1c000007 token=0x00e07e2d buffer=0x001bc9d4
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1bca14<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1a68a10) at 001bca14 = link=0x001bca34 status=0x1c400004 token=0x00887ee1 buffer=0x001bc9dc
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1bca34<VF> 1c400004<STALLED,LS>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1a68a30) at 001bca34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:55 scone kernel: uhci_non_isoc_done: actlen=13
Aug  9 11:54:55 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug  9 11:54:55 scone kernel: uhci_device_done: xfer=0xc1a68800, pipe=0xc1bea004 length=13 error=22
Aug  9 11:54:55 scone kernel: _uhci_remove_qh: 0xc1a68a70 from 0xc1a68a70
Aug  9 11:54:55 scone kernel: uhci_device_done: xfer=0xc1a68800, pipe=0xc1bea004 length=13 error=5
Aug  9 11:54:55 scone kernel: _uhci_remove_qh: 0xc1a68a70 from 0xdd6c5000
Aug  9 11:54:55 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  9 11:54:55 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  9 11:54:55 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1bb9de0) at 1f00dde4 = link=0x1f00de04 status=0x1c8003ff token=0x00e07e2d buffer=0x1f00ddd4
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1f00de04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1bb9e00) at 1f00de04 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:55 scone kernel: _uhci_append_qh: 0xc1bb9e60 to 0xdd6c5000
Aug  9 11:54:55 scone ifdhandler[21193]: usb_do_request failed: Input/output error (5)
Aug  9 11:54:55 scone kernel: uhci_non_isoc_done: xfer=0xc1bb9c00 pipe=0xc1bea004 transfer done
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1bb9de0) at 1f00dde4 = link=0x1f00de04 status=0x1c000007 token=0x00e07e2d buffer=0x1f00ddd4
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1f00de04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:55 scone kernel: uhci_dump_td: TD(0xc1bb9e00) at 1f00de04 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:55 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:55 scone kernel: uhci_non_isoc_done: actlen=8
Aug  9 11:54:55 scone kernel: uhci_device_done: xfer=0xc1bb9c00, pipe=0xc1bea004 length=8 error=0
Aug  9 11:54:55 scone kernel: _uhci_remove_qh: 0xc1bb9e60 from 0xc1bb9e60
Aug  9 11:54:55 scone kernel: uhci_device_done: xfer=0xc1bb9c00, pipe=0xc1bea004 length=8 error=5
Aug  9 11:54:55 scone kernel: _uhci_remove_qh: 0xc1bb9e60 from 0xdd6c5000
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:55 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:56 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x80, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug  9 11:54:56 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug  9 11:54:56 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1be9df0) at 002dddf4 = link=0x002dde14 status=0x1c8003ff token=0x00e07e2d buffer=0x002dddd4
Aug  9 11:54:56 scone kernel: uhci_dump_td: 2dde14<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1be9e10) at 002dde14 = link=0x002dde34 status=0x1c8003ff token=0x00887ee1 buffer=0x002ddddc
Aug  9 11:54:56 scone kernel: uhci_dump_td: 2dde34<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1be9e30) at 002dde34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:56 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:56 scone kernel: _uhci_append_qh: 0xc1be9e70 to 0xdd6c5000
Aug  9 11:54:56 scone kernel: uhci_check_transfer: xfer=0xc1be9c00 active
Aug  9 11:54:56 scone kernel: uhci_non_isoc_done: xfer=0xc1be9c00 pipe=0xc1bea004 transfer done
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1be9df0) at 002dddf4 = link=0x002dde14 status=0x1c000007 token=0x00e07e2d buffer=0x002dddd4
Aug  9 11:54:56 scone kernel: uhci_dump_td: 2dde14<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1be9e10) at 002dde14 = link=0x002dde34 status=0x1c400004 token=0x00887ee1 buffer=0x002ddddc
Aug  9 11:54:56 scone kernel: uhci_dump_td: 2dde34<VF> 1c400004<STALLED,LS>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1be9e30) at 002dde34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:56 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:56 scone kernel: uhci_non_isoc_done: actlen=13
Aug  9 11:54:56 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug  9 11:54:56 scone kernel: uhci_device_done: xfer=0xc1be9c00, pipe=0xc1bea004 length=13 error=22
Aug  9 11:54:56 scone kernel: _uhci_remove_qh: 0xc1be9e70 from 0xc1be9e70
Aug  9 11:54:56 scone kernel: uhci_device_done: xfer=0xc1be9c00, pipe=0xc1bea004 length=13 error=5
Aug  9 11:54:56 scone kernel: _uhci_remove_qh: 0xc1be9e70 from 0xdd6c5000
Aug  9 11:54:56 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug  9 11:54:56 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug  9 11:54:56 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1ca45e0) at 1f0585e4 = link=0x1f058604 status=0x1c8003ff token=0x00e07e2d buffer=0x1f0585d4
Aug  9 11:54:56 scone kernel: uhci_dump_td: 1f058604<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1ca4600) at 1f058604 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:56 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:56 scone kernel: _uhci_append_qh: 0xc1ca4660 to 0xdd6c5000
Aug  9 11:54:56 scone ifdhandler[21193]: usb_do_request failed: Input/output error (5)
Aug  9 11:54:56 scone kernel: uhci_non_isoc_done: xfer=0xc1ca4400 pipe=0xc1bea004 transfer done
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1ca45e0) at 1f0585e4 = link=0x1f058604 status=0x1c000007 token=0x00e07e2d buffer=0x1f0585d4
Aug  9 11:54:56 scone kernel: uhci_dump_td: 1f058604<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug  9 11:54:56 scone kernel: uhci_dump_td: TD(0xc1ca4600) at 1f058604 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug  9 11:54:56 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug  9 11:54:56 scone kernel: uhci_non_isoc_done: actlen=8
Aug  9 11:54:56 scone kernel: uhci_device_done: xfer=0xc1ca4400, pipe=0xc1bea004 length=8 error=0
Aug  9 11:54:56 scone kernel: _uhci_remove_qh: 0xc1ca4660 from 0xc1ca4660
Aug  9 11:54:56 scone kernel: uhci_device_done: xfer=0xc1ca4400, pipe=0xc1bea004 length=8 error=5
Aug  9 11:54:56 scone kernel: _uhci_remove_qh: 0xc1ca4660 from 0xdd6c5000
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:56 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:57 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:57 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:57 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:57 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug  9 11:54:57 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug  9 11:54:57 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug  9 11:54:57 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32



Still not working. :(

> Are you using a smartcard that connects directly with the USB plug, or 
> are you using a smartcard to USB adapter?

I use the USB token that you can see on the picture: 
http://www.axalto.com/infosec/egate.asp


You can buy smartcard via a web interface from axalto at:
http://www.market.axalto.com/

Regards,

Janos Mohacsi
Network Engineer, Research Associate
NIIF/HUNGARNET, HUNGARY
Key 00F9AF98: 8645 1312 D249 471B DBAE  21A2 9F52 0D1F 00F9 AF98
Comment 13 Mohacsi Janos 2005-08-12 14:38:31 UTC
Hi Hans,
 	Still no success...

ifdhandler debug output after changes:
Aug 12 15:24:51 scone ifdhandler[67537]: ifd_open: trying to open egate@/dev/ugen0
Aug 12 15:24:51 scone ifdhandler[67537]: eg_open: device=/dev/ugen0
Aug 12 15:24:51 scone ifdhandler[67537]: ifd_sysdep_device_type: BSD: ifd_sysdep_device_type(/dev/ugen0)
Aug 12 15:24:51 scone ifdhandler[67537]: ifd_sysdep_device_type: BSD: returning IFD_DEVICE_TYPE_USB
Aug 12 15:24:51 scone ifdhandler[67537]: eg_activate: called.
Aug 12 15:24:51 scone ifdhandler[67537]: eg_card_status: slot=0
Aug 12 15:24:51 scone ifdhandler[67537]: ifdhandler_poll_presence: card status change: 0 -> 1
Aug 12 15:24:52 scone ifdhandler[67537]: eg_card_status: slot=0
Aug 12 15:25:23 scone last message repeated 31 times
Aug 12 15:25:34 scone last message repeated 11 times
Aug 12 15:25:34 scone ifdhandler[67537]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_RESET, unit=0)
Aug 12 15:25:34 scone ifdhandler[67537]: eg_card_reset: called.
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_usb_control: usb req type=x40 req=x90 val=x0000 ind=x0000 len=0
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x90)
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x90 wValue 0x0 wIndex 0x0 wLength 0x0
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: ctrl.ucr_data == NULL 
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_usb_control: recv  00
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x83)
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0x83 wValue 0x0 wIndex 0x0 wLength 0x23
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00 00 00 00 00 00 00 00 00 01 07 28 00 00 00 01 64 ca 56 0d f1 83 07 28 00 01 07 28 d0 be bf bf 06 00 00
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL RECV data  3b 95 18 40 ff 62 01 02 01 04
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_usb_control: usb req type=xc0 req=x83 val=x0000 ind=x0000 len=10
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_usb_control: recv  3b 95 18 40 ff 62 01 02 01 04
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_protocol_select: atr= 3b 95 18 40 ff 62 01 02 01 04
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_protocol_select: default T=0, supported protocols=0x1
Aug 12 15:25:34 scone ifdhandler[67537]: eg_set_protocol: proto=0
Aug 12 15:25:34 scone ifdhandler[67537]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_LOCK, unit=0)
Aug 12 15:25:34 scone ifdhandler[67537]: ifdhandler_lock: granted excl lock 0 for slot 0 by uid=4294967294
Aug 12 15:25:34 scone ifdhandler[67537]: ifdhandler_process: ifdhandler_process(cmd=CT_CMD_TRANSACT, unit=0)
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_protocol_transceive: cmd:  c0 a4 00 00 02 3f 00
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL SEND data  00
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_usb_control: recv  00
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_usb_control: usb req type=x40 req=x82 val=x0000 ind=x0000 len=5
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_usb_control: send  c0 a4 00 00 02
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0x82)
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0x40 bRequest 0x82 wValue 0x0 wIndex 0x0 wLength 0x5
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL SEND data  c0 a4 00 00 02
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug 12 15:25:34 scone ifdhandler[67537]: ifd_sysdep_usb_control: trying to clear stall ...
Aug 12 15:25:35 scone ifdhandler[67537]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug 12 15:25:35 scone ifdhandler[67537]: ifd_sysdep_usb_control: trying to clear stall ...
Aug 12 15:25:36 scone ifdhandler[67537]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug 12 15:25:36 scone ifdhandler[67537]: ifd_sysdep_usb_control: trying to clear stall ...
Aug 12 15:25:37 scone ifdhandler[67537]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug 12 15:25:37 scone ifdhandler[67537]: ifd_sysdep_usb_control: trying to clear stall ...
Aug 12 15:25:38 scone ifdhandler[67537]: ifd_sysdep_usb_control: USB_DO_REQUEST failed: -1
Aug 12 15:25:38 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: ifd_sysdep_usb_control(0xa0)
Aug 12 15:25:38 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL bmRequestType 0xc0 bRequest 0xa0 wValue 0x0 wIndex 0x0 wLength 0x1
Aug 12 15:25:38 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL SEND data  28
Aug 12 15:25:38 scone ifdhandler[67537]: ifd_sysdep_usb_control: BSD: CTRL RECV data  00
Aug 12 15:25:38 scone ifdhandler[67537]: ifd_usb_control: usb req type=xc0 req=xa0 val=x0000 ind=x0000 len=1
Aug 12 15:25:38 scone ifdhandler[67537]: ifd_usb_control: recv  00
Aug 12 15:25:38 scone ifdhandler[67537]: ifd_protocol_transceive: transceive error: Device was disconnected
Aug 12 15:25:38 scone ifdhandler[67537]: eg_card_status: slot=0
Aug 12 15:25:38 scone ifdhandler[67537]: ifdhandler_unlock_all: released excl lock 0 for slot 0 by uid=4294967294
Aug 12 15:25:39 scone ifdhandler[67537]: eg_card_status: slot=0
Aug 12 15:26:00 scone last message repeated 21 times

The kernel debug:
Aug 12 15:25:34 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:34 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:34 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x90, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdfde0) at 1f073de4 = link=0x1f073e04 status=0x1c8003ff token=0x00e07e2d buffer=0x1f073dd4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f073e04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdfe00) at 1f073e04 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: _uhci_append_qh: 0xc1bdfe60 to 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: xfer=0xc1bdfc00 pipe=0xc1c9e804 transfer done
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdfde0) at 1f073de4 = link=0x1f073e04 status=0x1c000007 token=0x00e07e2d buffer=0x1f073dd4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f073e04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdfe00) at 1f073e04 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: actlen=8
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1bdfc00, pipe=0xc1c9e804 length=8 error=0
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1bdfe60 from 0xc1bdfe60
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1bdfc00, pipe=0xc1c9e804 length=8 error=5
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1bdfe60 from 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdede0) at 1f072de4 = link=0x1f072e04 status=0x1c8003ff token=0x00e07e2d buffer=0x1f072dd4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f072e04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdee00) at 1f072e04 = link=0x1f072e24 status=0x3c8003ff token=0x00087e69 buffer=0x1f072ddc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f072e24<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdee20) at 1f072e24 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: _uhci_append_qh: 0xc1bdee60 to 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: xfer=0xc1bdec00 pipe=0xc1c9e804 transfer done
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdede0) at 1f072de4 = link=0x1f072e04 status=0x1c000007 token=0x00e07e2d buffer=0x1f072dd4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f072e04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdee00) at 1f072e04 = link=0x1f072e24 status=0x3c000000 token=0x00087e69 buffer=0x1f072ddc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f072e24<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdee20) at 1f072e24 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: actlen=9
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1bdec00, pipe=0xc1c9e804 length=9 error=0
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1bdee60 from 0xc1bdee60
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1bdec00, pipe=0xc1c9e804 length=9 error=5
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1bdee60 from 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0x83, wValue=0x0000, wIndex=0x0000 len=35, addr=126, endpt=0
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=43 speed=1
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71200) at 1f285204 = link=0x1f285224 status=0x1c8003ff token=0x00e07e2d buffer=0x1f2851d4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285224<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71220) at 1f285224 = link=0x1f285244 status=0x3c8003ff token=0x00e87e69 buffer=0x1f2851dc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285244<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71240) at 1f285244 = link=0x1f285264 status=0x3c8003ff token=0x00e07e69 buffer=0x1f2851e4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285264<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71260) at 1f285264 = link=0x1f285284 status=0x3c8003ff token=0x00e87e69 buffer=0x1f2851ec
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285284<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71280) at 1f285284 = link=0x1f2852a4 status=0x3c8003ff token=0x00e07e69 buffer=0x1f2851f4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f2852a4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a712a0) at 1f2852a4 = link=0x1f2852c4 status=0x3c8003ff token=0x00487e69 buffer=0x1f2851fc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f2852c4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a712c0) at 1f2852c4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: _uhci_append_qh: 0xc1a71300 to 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_check_transfer: xfer=0xc1a71000 active
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: xfer=0xc1a71000 pipe=0xc1c9e804 transfer done
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71200) at 1f285204 = link=0x1f285224 status=0x1c000007 token=0x00e07e2d buffer=0x1f2851d4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285224<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71220) at 1f285224 = link=0x1f285244 status=0x3c000007 token=0x00e87e69 buffer=0x1f2851dc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285244<VF> 3c000007<LS,SPD>,errcnt=3,actlen=8 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71240) at 1f285244 = link=0x1f285264 status=0x3c000001 token=0x00e07e69 buffer=0x1f2851e4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285264<VF> 3c000001<LS,SPD>,errcnt=3,actlen=2 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71260) at 1f285264 = link=0x1f285284 status=0x3c8003ff token=0x00e87e69 buffer=0x1f2851ec
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285284<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71280) at 1f285284 = link=0x1f2852a4 status=0x3c8003ff token=0x00e07e69 buffer=0x1f2851f4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f2852a4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a712a0) at 1f2852a4 = link=0x1f2852c4 status=0x3c8003ff token=0x00487e69 buffer=0x1f2851fc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f2852c4<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=3
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a712c0) at 1f2852c4 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: actlen=18
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1a71000, pipe=0xc1c9e804 length=18 error=0
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1a71300 from 0xc1a71300
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1a71000, pipe=0xc1c9e804 length=18 error=5
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1a71300 from 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a711e0) at 1f2851e4 = link=0x1f285204 status=0x1c8003ff token=0x00e07e2d buffer=0x1f2851d4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285204<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71200) at 1f285204 = link=0x1f285224 status=0x3c8003ff token=0x00087e69 buffer=0x1f2851dc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285224<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71220) at 1f285224 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: _uhci_append_qh: 0xc1a71260 to 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: xfer=0xc1a71000 pipe=0xc1c9e804 transfer done
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a711e0) at 1f2851e4 = link=0x1f285204 status=0x1c000007 token=0x00e07e2d buffer=0x1f2851d4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285204<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71200) at 1f285204 = link=0x1f285224 status=0x3c000000 token=0x00087e69 buffer=0x1f2851dc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f285224<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1a71220) at 1f285224 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: actlen=9
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1a71000, pipe=0xc1c9e804 length=9 error=0
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1a71260 from 0xc1a71260
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1a71000, pipe=0xc1c9e804 length=9 error=5
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1a71260 from 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x82, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdedf0) at 1f072df4 = link=0x1f072e14 status=0x1c8003ff token=0x00e07e2d buffer=0x1f072dd4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f072e14<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdee10) at 1f072e14 = link=0x1f072e34 status=0x1c8003ff token=0x00887ee1 buffer=0x1f072ddc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f072e34<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdee30) at 1f072e34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: _uhci_append_qh: 0xc1bdee70 to 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_check_transfer: xfer=0xc1bdec00 active
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: xfer=0xc1bdec00 pipe=0xc1c9e804 transfer done
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdedf0) at 1f072df4 = link=0x1f072e14 status=0x1c000007 token=0x00e07e2d buffer=0x1f072dd4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f072e14<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdee10) at 1f072e14 = link=0x1f072e34 status=0x1c400004 token=0x00887ee1 buffer=0x1f072ddc
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f072e34<VF> 1c400004<STALLED,LS>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdee30) at 1f072e34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: actlen=13
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1bdec00, pipe=0xc1c9e804 length=13 error=22
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1bdee70 from 0xc1bdee70
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1bdec00, pipe=0xc1c9e804 length=13 error=5
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1bdee70 from 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug 12 15:25:34 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdfde0) at 1f073de4 = link=0x1f073e04 status=0x1c8003ff token=0x00e07e2d buffer=0x1f073dd4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f073e04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdfe00) at 1f073e04 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: _uhci_append_qh: 0xc1bdfe60 to 0xdd6c5000
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: xfer=0xc1bdfc00 pipe=0xc1c9e804 transfer done
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdfde0) at 1f073de4 = link=0x1f073e04 status=0x1c000007 token=0x00e07e2d buffer=0x1f073dd4
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1f073e04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:34 scone kernel: uhci_dump_td: TD(0xc1bdfe00) at 1f073e04 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:34 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:34 scone kernel: uhci_non_isoc_done: actlen=8
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1bdfc00, pipe=0xc1c9e804 length=8 error=0
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1bdfe60 from 0xc1bdfe60
Aug 12 15:25:34 scone kernel: uhci_device_done: xfer=0xc1bdfc00, pipe=0xc1c9e804 length=8 error=5
Aug 12 15:25:34 scone kernel: _uhci_remove_qh: 0xc1bdfe60 from 0xdd6c5000
Aug 12 15:25:34 scone ifdhandler[67537]: usb_do_request failed: Input/output error (5)
Aug 12 15:25:34 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:34 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:34 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:35 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x82, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug 12 15:25:35 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug 12 15:25:35 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1a725f0) at 1f3265f4 = link=0x1f326614 status=0x1c8003ff token=0x00e07e2d buffer=0x1f3265d4
Aug 12 15:25:35 scone kernel: uhci_dump_td: 1f326614<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1a72610) at 1f326614 = link=0x1f326634 status=0x1c8003ff token=0x00887ee1 buffer=0x1f3265dc
Aug 12 15:25:35 scone kernel: uhci_dump_td: 1f326634<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1a72630) at 1f326634 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:35 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:35 scone kernel: _uhci_append_qh: 0xc1a72670 to 0xdd6c5000
Aug 12 15:25:35 scone kernel: uhci_check_transfer: xfer=0xc1a72400 active
Aug 12 15:25:35 scone kernel: uhci_non_isoc_done: xfer=0xc1a72400 pipe=0xc1c9e804 transfer done
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1a725f0) at 1f3265f4 = link=0x1f326614 status=0x1c000007 token=0x00e07e2d buffer=0x1f3265d4
Aug 12 15:25:35 scone kernel: uhci_dump_td: 1f326614<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1a72610) at 1f326614 = link=0x1f326634 status=0x1c400004 token=0x00887ee1 buffer=0x1f3265dc
Aug 12 15:25:35 scone kernel: uhci_dump_td: 1f326634<VF> 1c400004<STALLED,LS>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1a72630) at 1f326634 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:35 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:35 scone kernel: uhci_non_isoc_done: actlen=13
Aug 12 15:25:35 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug 12 15:25:35 scone kernel: uhci_device_done: xfer=0xc1a72400, pipe=0xc1c9e804 length=13 error=22
Aug 12 15:25:35 scone kernel: _uhci_remove_qh: 0xc1a72670 from 0xc1a72670
Aug 12 15:25:35 scone kernel: uhci_device_done: xfer=0xc1a72400, pipe=0xc1c9e804 length=13 error=5
Aug 12 15:25:35 scone kernel: _uhci_remove_qh: 0xc1a72670 from 0xdd6c5000
Aug 12 15:25:35 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug 12 15:25:35 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug 12 15:25:35 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1bb39e0) at 002079e4 = link=0x00207a04 status=0x1c8003ff token=0x00e07e2d buffer=0x002079d4
Aug 12 15:25:35 scone kernel: uhci_dump_td: 207a04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1bb3a00) at 00207a04 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:35 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:35 scone kernel: _uhci_append_qh: 0xc1bb3a60 to 0xdd6c5000
Aug 12 15:25:35 scone ifdhandler[67537]: usb_do_request failed: Input/output error (5)
Aug 12 15:25:35 scone kernel: uhci_non_isoc_done: xfer=0xc1bb3800 pipe=0xc1c9e804 transfer done
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1bb39e0) at 002079e4 = link=0x00207a04 status=0x1c000007 token=0x00e07e2d buffer=0x002079d4
Aug 12 15:25:35 scone kernel: uhci_dump_td: 207a04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:35 scone kernel: uhci_dump_td: TD(0xc1bb3a00) at 00207a04 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:35 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:35 scone kernel: uhci_non_isoc_done: actlen=8
Aug 12 15:25:35 scone kernel: uhci_device_done: xfer=0xc1bb3800, pipe=0xc1c9e804 length=8 error=0
Aug 12 15:25:35 scone kernel: _uhci_remove_qh: 0xc1bb3a60 from 0xc1bb3a60
Aug 12 15:25:35 scone kernel: uhci_device_done: xfer=0xc1bb3800, pipe=0xc1c9e804 length=8 error=5
Aug 12 15:25:35 scone kernel: _uhci_remove_qh: 0xc1bb3a60 from 0xdd6c5000
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:35 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:36 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x82, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug 12 15:25:36 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug 12 15:25:36 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bbadf0) at 1f00edf4 = link=0x1f00ee14 status=0x1c8003ff token=0x00e07e2d buffer=0x1f00edd4
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1f00ee14<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bbae10) at 1f00ee14 = link=0x1f00ee34 status=0x1c8003ff token=0x00887ee1 buffer=0x1f00eddc
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1f00ee34<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bbae30) at 1f00ee34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:36 scone kernel: _uhci_append_qh: 0xc1bbae70 to 0xdd6c5000
Aug 12 15:25:36 scone kernel: uhci_check_transfer: xfer=0xc1bbac00 active
Aug 12 15:25:36 scone kernel: uhci_non_isoc_done: xfer=0xc1bbac00 pipe=0xc1c9e804 transfer done
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bbadf0) at 1f00edf4 = link=0x1f00ee14 status=0x1c000007 token=0x00e07e2d buffer=0x1f00edd4
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1f00ee14<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bbae10) at 1f00ee14 = link=0x1f00ee34 status=0x1c400004 token=0x00887ee1 buffer=0x1f00eddc
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1f00ee34<VF> 1c400004<STALLED,LS>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bbae30) at 1f00ee34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:36 scone kernel: uhci_non_isoc_done: actlen=13
Aug 12 15:25:36 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug 12 15:25:36 scone kernel: uhci_device_done: xfer=0xc1bbac00, pipe=0xc1c9e804 length=13 error=22
Aug 12 15:25:36 scone kernel: _uhci_remove_qh: 0xc1bbae70 from 0xc1bbae70
Aug 12 15:25:36 scone kernel: uhci_device_done: xfer=0xc1bbac00, pipe=0xc1c9e804 length=13 error=5
Aug 12 15:25:36 scone kernel: _uhci_remove_qh: 0xc1bbae70 from 0xdd6c5000
Aug 12 15:25:36 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug 12 15:25:36 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug 12 15:25:36 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bb91e0) at 1f00d1e4 = link=0x1f00d204 status=0x1c8003ff token=0x00e07e2d buffer=0x1f00d1d4
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1f00d204<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bb9200) at 1f00d204 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:36 scone kernel: _uhci_append_qh: 0xc1bb9260 to 0xdd6c5000
Aug 12 15:25:36 scone ifdhandler[67537]: usb_do_request failed: Input/output error (5)
Aug 12 15:25:36 scone kernel: uhci_non_isoc_done: xfer=0xc1bb9000 pipe=0xc1c9e804 transfer done
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bb91e0) at 1f00d1e4 = link=0x1f00d204 status=0x1c000007 token=0x00e07e2d buffer=0x1f00d1d4
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1f00d204<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:36 scone kernel: uhci_dump_td: TD(0xc1bb9200) at 1f00d204 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:36 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:36 scone kernel: uhci_non_isoc_done: actlen=8
Aug 12 15:25:36 scone kernel: uhci_device_done: xfer=0xc1bb9000, pipe=0xc1c9e804 length=8 error=0
Aug 12 15:25:36 scone kernel: _uhci_remove_qh: 0xc1bb9260 from 0xc1bb9260
Aug 12 15:25:36 scone kernel: uhci_device_done: xfer=0xc1bb9000, pipe=0xc1c9e804 length=8 error=5
Aug 12 15:25:36 scone kernel: _uhci_remove_qh: 0xc1bb9260 from 0xdd6c5000
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:36 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:37 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x82, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug 12 15:25:37 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug 12 15:25:37 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bb9df0) at 1f00ddf4 = link=0x1f00de14 status=0x1c8003ff token=0x00e07e2d buffer=0x1f00ddd4
Aug 12 15:25:37 scone kernel: uhci_dump_td: 1f00de14<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bb9e10) at 1f00de14 = link=0x1f00de34 status=0x1c8003ff token=0x00887ee1 buffer=0x1f00dddc
Aug 12 15:25:37 scone kernel: uhci_dump_td: 1f00de34<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bb9e30) at 1f00de34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:37 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:37 scone kernel: _uhci_append_qh: 0xc1bb9e70 to 0xdd6c5000
Aug 12 15:25:37 scone kernel: uhci_check_transfer: xfer=0xc1bb9c00 active
Aug 12 15:25:37 scone kernel: uhci_non_isoc_done: xfer=0xc1bb9c00 pipe=0xc1c9e804 transfer done
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bb9df0) at 1f00ddf4 = link=0x1f00de14 status=0x1c000007 token=0x00e07e2d buffer=0x1f00ddd4
Aug 12 15:25:37 scone kernel: uhci_dump_td: 1f00de14<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bb9e10) at 1f00de14 = link=0x1f00de34 status=0x1c400004 token=0x00887ee1 buffer=0x1f00dddc
Aug 12 15:25:37 scone kernel: uhci_dump_td: 1f00de34<VF> 1c400004<STALLED,LS>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bb9e30) at 1f00de34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:37 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:37 scone kernel: uhci_non_isoc_done: actlen=13
Aug 12 15:25:37 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug 12 15:25:37 scone kernel: uhci_device_done: xfer=0xc1bb9c00, pipe=0xc1c9e804 length=13 error=22
Aug 12 15:25:37 scone kernel: _uhci_remove_qh: 0xc1bb9e70 from 0xc1bb9e70
Aug 12 15:25:37 scone kernel: uhci_device_done: xfer=0xc1bb9c00, pipe=0xc1c9e804 length=13 error=5
Aug 12 15:25:37 scone kernel: _uhci_remove_qh: 0xc1bb9e70 from 0xdd6c5000
Aug 12 15:25:37 scone kernel: uhci_device_ctrl_start: type=0x02, request=0x01, wValue=0x0000, wIndex=0x0000 len=0, addr=126, endpt=0
Aug 12 15:25:37 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=8 speed=1
Aug 12 15:25:37 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bea5e0) at 0033e5e4 = link=0x0033e604 status=0x1c8003ff token=0x00e07e2d buffer=0x0033e5d4
Aug 12 15:25:37 scone kernel: uhci_dump_td: 33e604<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bea600) at 0033e604 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:37 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:37 scone kernel: _uhci_append_qh: 0xc1bea660 to 0xdd6c5000
Aug 12 15:25:37 scone ifdhandler[67537]: usb_do_request failed: Input/output error (5)
Aug 12 15:25:37 scone kernel: uhci_non_isoc_done: xfer=0xc1bea400 pipe=0xc1c9e804 transfer done
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bea5e0) at 0033e5e4 = link=0x0033e604 status=0x1c000007 token=0x00e07e2d buffer=0x0033e5d4
Aug 12 15:25:37 scone kernel: uhci_dump_td: 33e604<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:37 scone kernel: uhci_dump_td: TD(0xc1bea600) at 0033e604 = link=0x00000001 status=0x1d0007ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:37 scone kernel: uhci_dump_td: 1<T> 1d0007ff<IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:37 scone kernel: uhci_non_isoc_done: actlen=8
Aug 12 15:25:37 scone kernel: uhci_device_done: xfer=0xc1bea400, pipe=0xc1c9e804 length=8 error=0
Aug 12 15:25:37 scone kernel: _uhci_remove_qh: 0xc1bea660 from 0xc1bea660
Aug 12 15:25:37 scone kernel: uhci_device_done: xfer=0xc1bea400, pipe=0xc1c9e804 length=8 error=5
Aug 12 15:25:37 scone kernel: _uhci_remove_qh: 0xc1bea660 from 0xdd6c5000
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:37 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32
Aug 12 15:25:38 scone kernel: uhci_device_ctrl_start: type=0x40, request=0x82, wValue=0x0000, wIndex=0x0000 len=5, addr=126, endpt=0
Aug 12 15:25:38 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=13 speed=1
Aug 12 15:25:38 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1c7d9f0) at 003719f4 = link=0x00371a14 status=0x1c8003ff token=0x00e07e2d buffer=0x003719d4
Aug 12 15:25:38 scone kernel: uhci_dump_td: 371a14<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1c7da10) at 00371a14 = link=0x00371a34 status=0x1c8003ff token=0x00887ee1 buffer=0x003719dc
Aug 12 15:25:38 scone kernel: uhci_dump_td: 371a34<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1c7da30) at 00371a34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:38 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:38 scone kernel: _uhci_append_qh: 0xc1c7da70 to 0xdd6c5000
Aug 12 15:25:38 scone kernel: uhci_check_transfer: xfer=0xc1c7d800 active
Aug 12 15:25:38 scone kernel: uhci_non_isoc_done: xfer=0xc1c7d800 pipe=0xc1c9e804 transfer done
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1c7d9f0) at 003719f4 = link=0x00371a14 status=0x1c000007 token=0x00e07e2d buffer=0x003719d4
Aug 12 15:25:38 scone kernel: uhci_dump_td: 371a14<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1c7da10) at 00371a14 = link=0x00371a34 status=0x1c400004 token=0x00887ee1 buffer=0x003719dc
Aug 12 15:25:38 scone kernel: uhci_dump_td: 371a34<VF> 1c400004<STALLED,LS>,errcnt=3,actlen=5 pid=e1,addr=126,endpt=0,D=1,maxlen=5
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1c7da30) at 00371a34 = link=0x00000001 status=0x1d8003ff token=0xffe87e69 buffer=0x00000000
Aug 12 15:25:38 scone kernel: uhci_dump_td: 1<T> 1d8003ff<ACTIVE,IOC,LS>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:38 scone kernel: uhci_non_isoc_done: actlen=13
Aug 12 15:25:38 scone kernel: uhci_non_isoc_done: error, addr=126, endpt=0x00, status 400000<STALLED>
Aug 12 15:25:38 scone kernel: uhci_device_done: xfer=0xc1c7d800, pipe=0xc1c9e804 length=13 error=22
Aug 12 15:25:38 scone kernel: _uhci_remove_qh: 0xc1c7da70 from 0xc1c7da70
Aug 12 15:25:38 scone kernel: uhci_device_done: xfer=0xc1c7d800, pipe=0xc1c9e804 length=13 error=5
Aug 12 15:25:38 scone kernel: _uhci_remove_qh: 0xc1c7da70 from 0xdd6c5000
Aug 12 15:25:38 scone kernel: uhci_device_ctrl_start: type=0xc0, request=0xa0, wValue=0x0000, wIndex=0x0000 len=1, addr=126, endpt=0
Aug 12 15:25:38 scone kernel: uhci_setup_standard_chain: addr=126 endpt=0 len=9 speed=1
Aug 12 15:25:38 scone kernel: uhci_setup_standard_chain: nexttog=1; data before transfer:
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1a729e0) at 1f3269e4 = link=0x1f326a04 status=0x1c8003ff token=0x00e07e2d buffer=0x1f3269d4
Aug 12 15:25:38 scone kernel: uhci_dump_td: 1f326a04<VF> 1c8003ff<ACTIVE,LS>,errcnt=3,actlen=0 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1a72a00) at 1f326a04 = link=0x1f326a24 status=0x3c8003ff token=0x00087e69 buffer=0x1f3269dc
Aug 12 15:25:38 scone kernel: uhci_dump_td: 1f326a24<VF> 3c8003ff<ACTIVE,LS,SPD>,errcnt=3,actlen=0 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1a72a20) at 1f326a24 = link=0x00000001 status=0x3d8003ff token=0xffe87ee1 buffer=0x00000000
Aug 12 15:25:38 scone kernel: uhci_dump_td: 1<T> 3d8003ff<ACTIVE,IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:38 scone kernel: _uhci_append_qh: 0xc1a72a60 to 0xdd6c5000
Aug 12 15:25:38 scone ifdhandler[67537]: usb_do_request failed: Input/output error (5)
Aug 12 15:25:38 scone kernel: uhci_non_isoc_done: xfer=0xc1a72800 pipe=0xc1c9e804 transfer done
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1a729e0) at 1f3269e4 = link=0x1f326a04 status=0x1c000007 token=0x00e07e2d buffer=0x1f3269d4
Aug 12 15:25:38 scone kernel: uhci_dump_td: 1f326a04<VF> 1c000007<LS>,errcnt=3,actlen=8 pid=2d,addr=126,endpt=0,D=0,maxlen=8
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1a72a00) at 1f326a04 = link=0x1f326a24 status=0x3c000000 token=0x00087e69 buffer=0x1f3269dc
Aug 12 15:25:38 scone kernel: uhci_dump_td: 1f326a24<VF> 3c000000<LS,SPD>,errcnt=3,actlen=1 pid=69,addr=126,endpt=0,D=1,maxlen=1
Aug 12 15:25:38 scone kernel: uhci_dump_td: TD(0xc1a72a20) at 1f326a24 = link=0x00000001 status=0x3d0007ff token=0xffe87ee1 buffer=0x00000000
Aug 12 15:25:38 scone kernel: uhci_dump_td: 1<T> 3d0007ff<IOC,LS,SPD>,errcnt=3,actlen=0 pid=e1,addr=126,endpt=0,D=1,maxlen=0
Aug 12 15:25:38 scone kernel: uhci_non_isoc_done: actlen=9
Aug 12 15:25:38 scone kernel: uhci_device_done: xfer=0xc1a72800, pipe=0xc1c9e804 length=9 error=0
Aug 12 15:25:38 scone kernel: _uhci_remove_qh: 0xc1a72a60 from 0xc1a72a60
Aug 12 15:25:38 scone kernel: uhci_device_done: xfer=0xc1a72800, pipe=0xc1c9e804 length=9 error=5
Aug 12 15:25:38 scone kernel: _uhci_remove_qh: 0xc1a72a60 from 0xdd6c5000
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1be6c00 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1beac00 len=32
Aug 12 15:25:38 scone kernel: uhci_root_intr_start: xfer=0xc1c7e800 len=32

Regards,

Janos Mohacsi
Network Engineer, Research Associate
NIIF/HUNGARNET, HUNGARY
Key 00F9AF98: 8645 1312 D249 471B DBAE  21A2 9F52 0D1F 00F9 AF98
Comment 14 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:14 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped